2013-08-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [27a9dd758a7ecd9233710139b21565655f270b99]

	Bump version


2013-08-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [12029a5fbbda72216c2a525f0680be0c2a346781]

	Some versions of boost bomb on '=' padding characters


2013-08-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [573868072b8c7b33b6a9562724ea0df96443b17c]

	Misleading debug message


2013-08-26  Laurent Alonso  <laurent.alonso@inria.fr>  [5dba994102a251554b97f2d8dc5d08021d99f475]

	Fix dasharray


2013-08-25  Laurent Alonso  <laurent.alonso@inria.fr>  [c8c89a292846c435c0ba02d6ef768f9ffa99dd5d]

	Sync with libwpg


2013-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6fdf57fb028536659727b681a335823189576c14]

	Hard depend on libwpd 0.9.5


2013-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [746fdbc6e6a6f41238dd19f8e20ed48192e86aad]

	Some more parsing of theme information


2013-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7d74f52e9d7212639427f0c69130e6c4a231a461]

	Cppcheck: (performance) Function parameter 'weights' should be passed by reference


2013-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b63cef2b299728328ff33a44ba0cfc20673949af]

	Stub reader for a:clrScheme


2013-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [53b7204be722f8dca37bc059b9f253eafa8e0aea]

	Reader for a:sysClr


2013-07-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fa150e4eca78bad7a9430cf906cc7078beaf039a]

	reader function for a:srgbClr


2013-07-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [85bd5303215df29f798e561f345914ccdf67bcdb]

	a:srgbClr does not have # in the beginning of the hex


2013-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [35be22a86d0cf1c2384cd1730350e0934cba0897]

	Add tokens related to theme


2013-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0aa5d64dadf5342a54a9443091c32bac863f4e2a]

	Update alternative build systems


2013-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [232fedbe3421dc256a77ac49519cce9322479ce3]

	Stub the theme class to keep theme information


2013-07-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0dde4b276e1de771fbf6525131cdbbe19b34908c]

	Guides don't exist and if you saw them, we burn your eyes


2013-07-19  David Tardon  <dtardon@redhat.com>  [08e4285cc0705f8cbe452b26c97c313136b431db]

	fdo#63255 ignore guides


2013-07-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e8a2a552019b2697662ca62975c21c760fe5a8b8]

	Speed-up the xml parser a tiny bit by mapping only used tokens


2013-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c00eda63adaf09678fe3fd70bb2e38c48b6abd9e]

	Fix some runtime problems with msvc-built libvisio


2013-07-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [128c47a9137baf121f39d63e3f89b699abc81d93]

	Trying to use iterators without wrapping the data


2013-07-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0c2293c7b1e0793f61a396d5bb3e9161f965b8e3]

	Add support of SplineStart and SplineKnot to xml-based formats


2013-07-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5a38774b5f9bfc2d58e8a7a06effb0bbe7d0debd]

	Try not to go out of bonds


2013-07-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e7974026dd728d2882962de803c0cfbc29057283]

	Fixing back some mistakes paid cash to valgrind


2013-07-10  David Tardon  <dtardon@redhat.com>  [d8e22ac854217d647753c2f5c4943e167f45b6be]

	fix condition


2013-07-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [31b9a3540b83bf0cbceb70ae3acadfc1a800e54e]

	SplineStart ends previous spline


2013-07-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f611310868933279a8d6899e6eabb9c5f820e929]

	Some more trying of refactoring of nurbs-related code


2013-07-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e8734be3d3294454d3f6f8f9de282c31bdf28bf]

	De-uglify a tiny bit the NURBS code


2013-07-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [98f9d25aae4de36c75656935da2909d044344398]

	Bump version to 0.0.30 (not release yet)


2013-07-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b49fb988a458c84869abc30376def886d4d3cc7f]

	Don't add a trailing M-segment when emulating NURBS by curves


2013-07-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [29d671d0cd7a1b777d9c5172c5794d59b8048402]

	Handling in a special ways uniform NURBS of degree 2 and 3


2013-07-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [78fdaaf690c6aa37e56cb8a06f29be02fcd140a1]

	astyle


2013-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [688aa1eb357b41e26d0a12f0d34dca426a50feb7]

	Proper fix for older boost and remove_whitespace


2013-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0cde479e62ce80a8a619f2e11b77f7f64b970802]

	Revert "Some older versions of boost have a buggy remove_whitespace and original code was not removing either"

	This reverts commit 6fe924aae90c7aed8a3ad6e172a90a341f7a82ca.

2013-07-06  David Tardon  <dtardon@redhat.com>  [73a17a5730bfbfb738cf0fa4fe59ad4b478f9731]

	coverity: gmtime can return NULL


2013-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6fe924aae90c7aed8a3ad6e172a90a341f7a82ca]

	Some older versions of boost have a buggy remove_whitespace and original code was not removing either


2013-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a55e97f84fdd51632f1fb29fbc438d1baa0c8e64]

	Bump version to 0.0.29


2013-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8a41cf290a069fc45d68fb23620ba361acfbe313]

	Consider the return value of getChunkHeader


2013-06-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0921f77b64ba08ebfc484362d13bf6f5962fa41e]

	Avoid NANs


2013-06-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b7b4e9cad38aaeb1fb5f27d1bdb6875f9c2661bc]

	Use boost for base64 decoding


2013-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6a65902bb4787d72d261eca115d17e7e1602282c]

	Adapting doxygen to the new layout


2013-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f784bb8be865b2228e0116fa97a071a4be675121]

	Clarify the code


2013-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [77c46cef14432470474286bb78c59293920371a7]

	Bump version to 0.0.28


2013-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f1a708859df39367d296a81495e0d4c6f64c1ddb]

	Revert "avoid access to uninit. memory"

	This caused no geometry to be ever inserted to a shape.

	This reverts commit 62a1abdadcba61f9a0d0daf38c442f0cd86c8718.

2013-05-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a59d35d02b6612e2c05bcbd888c276675ac10aee]

	Bump version


2013-05-12  David Tardon  <dtardon@redhat.com>  [62a1abdadcba61f9a0d0daf38c442f0cd86c8718]

	avoid access to uninit. memory


2013-05-12  David Tardon  <dtardon@redhat.com>  [c5780bf9208736870ebfd0e1177b769a15f3f7e0]

	don't crash if there is no stencil


2013-05-12  David Tardon  <dtardon@redhat.com>  [81663fbb1a705d329305ed7133b2df7a18e9747d]

	don't leave dangling pointer around


2013-05-12  David Tardon  <dtardon@redhat.com>  [e89d34da0d9378f0a71d86cbe38c54575f02b73d]

	avoid crash if m_currentGeometryList is null


2013-05-12  David Tardon  <dtardon@redhat.com>  [012166de9e82ced394138550d1c92e20df7cb504]

	use iterator to point to the current style

	This avoids crash if one (or both) of groupMembershipsSequence and
	documentPageShapeOrders come in empty (when reading broken file. I do
	not know if it can happen legitimately. Probably not).

	Also, the old code actually overwrites the first elements of the two
	vectors on each change, because assignment to a reference changes the
	object the reference refers to. While it is probably harmless, as we do
	not need the old styles again, it does not "feel" right.

2013-05-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fee98e43bf7cceac47000197d279692c23e4c73e]

	Making Michael Stahl happy (libvisio part)


2013-05-04  David Tardon  <dtardon@redhat.com>  [46a3a1b132333a19855b088129a79c29fc869f73]

	coverity: make the loop end correctly

	The original condition, for a simple NURBS block, would try to read
	knots as long as there were anything to read. Because in that case flag
	equals 0, which is different from 0x8a, so the loop would be taken again
	and again, regardless of the value of repetitions.

2013-05-04  David Tardon  <dtardon@redhat.com>  [a68b8b3557527941cf6d239295834a99bca7afa5]

	coverity: check return value of xmlTextReaderRead


2013-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e91e413d9340ae3dfa6f634d25ac8d9b6dca37e2]

	Astyle action


2013-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [089958eb29e9f191ba3e3505a7d68bf50d0e044f]

	Ignore more liberally


2013-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b57b1c36aafe4199218cecf8c260948254110684]

	libwpd already does this conversion, so don't dupplicate


2013-04-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cbe03a66e9bee3edae23c6462b8292b454892541]

	Token ID 0 is special in the way the has handles it


2013-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46ca3db001bf78362d2ae24af2f9928689db271a]

	Build pic objects by default


2013-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2e108670cb4e6ca480b6b08fd628a21de07b205]

	Disable static libraries by default


2013-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [28509115f7f60541d69b37bea0720305ea13d363]

	Bump version


2013-04-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [721c81593b2fb698b00d556e5509f570f692c765]

	HideText for xml parsers too


2013-04-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5213878fe1e0f99a1ad1f82341e832bbbd35f5f0]

	HideText for VSD


2013-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [471f32deacf03b44749d62eed99bbb873bbe1fe5]

	Trying to get the short texts right


2013-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ee46486937222c9715b9a7c2c6ceddd116a79296]

	Don't collect empty foreign data


2013-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [43aa2379521c08b7df79fdba1993807969114bd4]

	Foreign type 0 seems to be WMF


2013-04-03  Julien Nabet  <serval2412@yahoo.fr>  [be9087d5ac691d7a080bd92d2bd76dbcbf8437fa]

	tmpInput unused


2013-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a7190200d4b0022b07d1487950fe42ec8b756c45]

	Add ICU stuff to the MSVC build files


2013-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4a70e2ab4c9b794f136a5a78bd5f222fd3855561]

	Extend the encoding support


2013-04-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a655e5fcca4835a55992b3c9db792ed98bcb265a]

	Use ICU for charset conversions


2013-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6b27d3cc5974edd2b65c33fd11c11a9a6ee692a3]

	Option to test the callback graph, in order to detect mismatched grouping


2013-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5e1f929695e31733bfcda766effc1a92168c447b]

	Group shape elements if they are more then one


2013-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [89c2cd56fd2bd6c2c944c0dbd5e05058acc6e706]

	Small cleanup


2013-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [624c6b7e3603f9db5e649030e75d2943da97bc1b]

	Clear the text if we were not able to read it


2013-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc18442c6f3a00fa4271dd61f71f5403278935ec]

	Don't fail just because at the end of a string


2013-02-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [efe50300c45add25b513659308cdea70f6e4668f]

	Bump version to 0.0.25


2013-02-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b4a25befe6748808e2de5ec35b9b1d9169856bee]

	Improve the embedded binary dumping a bit


2013-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2cca79df4c7a46e54c40ab19a2afd779b059667e]

	Fix an error in order of variables


2013-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d9358fa7e6eeaf9075042b0cc98909f5866aea8a]

	More page names for versions <= 5


2013-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cb055a1b99ba51a6dc9aa407c18e7ea2ffc746f9]

	Read and push to the api the names of the pages if they exist


2013-02-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a4a8eb8e76755bd2aaa287f86a931f7f4030ccc]

	Some initial work on the support of page names


2013-01-26  Julien Nabet  <serval2412@yahoo.fr>  [c568de8af9da8e46e789074bfc099bc2d0854ae4]

	Some cppcheck cleaning


2013-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3df537ec26d0ffa05c1c1e9fe8ddc81a9b23d1e]

	Fix build with newer autotools


2012-12-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d421a44cd16ac32b5622f11884265751a04bfc82]

	Bump version in view of a possible release


2012-12-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e8bf14463dc2777c1cea49af1159adede727711]

	When cached fg and bg colours are 0, trust index more


2012-12-16  David Tardon  <dtardon@redhat.com>  [bf00f969aa16573f29ff6dac0d234f838009ee11]

	coverity: copying uninitialized value


2012-12-16  David Tardon  <dtardon@redhat.com>  [dddcceca764a1b557405c8dbc61d357d05e56344]

	coverity: do not let VisioDocument::parse throw


2012-12-16  David Tardon  <dtardon@redhat.com>  [8b38ba731cfebefcf7d3c7ab1769c0b2e0f1e7b2]

	coverity: drop duplicated code


2012-12-16  David Tardon  <dtardon@redhat.com>  [f8cdb0f948457a2183d117a438dee5ca3f603c4e]

	coverity: consistently check ret. value of read*Data


2012-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b3ad8caf742e3ae44f36d4145608236d40d69cd5]

	Trying to support initially Text Fields


2012-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [257e1896942a7028f1d0669ac6d4f61f294cb14d]

	Fixed line height is in inches :(


2012-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e6b0180a790c0799b089c7ef5c61e246460cf6de]

	Bump version


2012-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4fb636802cc1b0a4b29ddb8610d12d14f7dd2e7d]

	For VSD6 and VSD11 trust more the cached hex then the colour index


2012-11-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [99b2f3976f8a9856e3d916146708027c7548a8c8]

	Bump version


2012-11-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [68975fda724c26512f66dc09689bc9f114cd5b0e]

	Trying to unify the stencil extraction and the other parsing function


2012-11-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [39df5ce553e6bd86dc493393cdaa445973364937]

	Those ones don't need to be virtual anymore


2012-11-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c4244f93356808113f84014b180f629d12ef8ad5]

	Unify all VSD2 - VSD5 in one parser


2012-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [328ade2fe5f17224cd5be85c9546f7e11da4f246]

	Unify blob parsing over binary format versions


2012-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7b0dabcc1e5d29c4c0a7d117cdd98b241c484cd5]

	Unsigned signed comparison


2012-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [176160fb947c26b33826193237643e1c4d9548e0]

	Little fixup


2012-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8c48aa6ae104d4f94a9c7031b4417bbcf32f1b92]

	handle blog in the same way for all <= 5


2012-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [912f98d2a9beccabb4c5eb286761928a3b884ec5]

	Bump version, because I can


2012-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f6a3c67eab3f7479d3f5f78918e03e7c03aa9ffa]

	Field List is a list too


2012-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b17f6bae1822b32b131a2ca0333064eaac5b8d94]

	Fix background page detection for versions < 6


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6ac0f95c9e9094a22aab12a7fa09f95d215a8e4e]

	Simplify the inheritance a little bit


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e0d93202b26d305c48505880b8a67226a1000ef4]

	Fix foreign in VSD 5-


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7cdd4ec0fa9b1539e2ebce47b8dbf60253045f0b]

	Some fixes for line and fill styles


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a881a4fd1c0c8ab4ba5261722e6d264289e8901b]

	Some colour reading fixes for VSD <= 2


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d995ce58a791028d87ada2ee8c83fe0237ddb899]

	Fix stencil extraction for vsd <= 5


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a9996cda1ed6b5b08cf2a6a7a4a66fc422890555]

	Miscellaneous fixes + text for VSD <= 5


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ecf7879e60f10365f6ca102f351a5709af23b4af]

	Consider correctly the font encoding information


2012-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5f1643eff17b159ca40d42718236b1cb45aeab7e]

	Vertical alignment in center is default in Visio


2012-11-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ad614280150fbb8e6e9c622b3062c3c0319b7f6e]

	Trying to read the blob in the same way in all 16-bit versions


2012-11-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [afceb3e1d983e68109af3b4df99e256b9d8cbd67]

	Spit actual images in VSD1


2012-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c895408593a2808f4d15b8397d77e23b529128e7]

	Some more work on VSD1 and VSD2 parsing + some stream fixes


2012-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ff62e9ddf00cbe57654e708bcf5e385f0e2813e2]

	Some more progress on version 5


2012-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2eb32a31a3a065a65da9d61e1de74d1fda2b9154]

	Read VSD5 fill and line information


2012-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [632a5b3177b852387a30ea03a04516d7d2912799]

	Remove the generated files only on distclean


2012-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [34b954c172585b4403c8dd615fb1c094427ce9b6]

	Typedefs for MSVC


2012-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f5ba07576d4b81998728d0386cff4bfdcd305d9]

	Abstraction of reading of integers


2012-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8b85ec1316cef02106778fa47b727311ca942bbc]

	Some progress in VSD5 parsing


2012-11-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dcad11d27f85d25315e9c094e350e6abb54d374f]

	Some more work on vsd1/2/3/4/5


2012-11-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4681ba06ad3f5ee74d0a2a6ab85f42d37c8ee079]

	Some more VSD2 - VSD5 infrastructure - work in progress


2012-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3058c1187aa3cef29587367292ce7a907dd90231]

	Some more chunk work, but slow


2012-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd9fc06ce40c3cd0424489dc38b8ab1b5cb271ea]

	Setting framework for different parsing of v5 and v2


2012-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4818db1342a23765a2a100e19eb04e47d12d0a25]

	Set groundwork for vsd5 and lower chunk parsing


2012-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [63d6ac643e8d113dd5390e8e3a3714adb62b32b1]

	Extend the parsing capacity to versions 1 - 5


2012-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3d484bd9c8a9a2a35b67ba7999331c9d310099c6]

	Don't crash on empty or almost empty pointer order list


2012-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [27a7bdee3b193e85cee51837eecbacb33971d004]

	Detect non-OLE binary Visio documents


2012-11-09  Julien Nabet  <serval2412@yahoo.fr>  [3ced0a5a1d9c8a41639eb46b555a25cbe9d804c0]

	Fix warning C4244

	´initializing´ : conversion from ´double´ to ´unsigned char´, possible loss of data

2012-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6e226afc3fa3d8470f4f9731b6b17c4f8d99d44f]

	Some more work on VSD5 parser


2012-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fb1a3735e95f11166d0adc823ecca05caab9cd23]

	Allow the parser to parse VSD4 and VSD5 + read pointers in < 6 correctly


2012-11-07  Tomas Chvatal  <tchvatal@suse.cz>  [d0d0f37ce6bac9320b6410970f48ad09d6425db6]

	Fix underlinking with gold.


2012-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [544fc0f55ae4a8eea0a445983c70c6b937119e07]

	Fix a memory leak


2012-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7110242d55341405287a583a597a9a57981d3364]

	Fix extraction of stencils from xml file-formats


2012-11-05  Julien Nabet  <serval2412@yahoo.fr>  [dcff51b9569a53861bbf4d039eb45fc389689683]

	Fix scope of the variable 'X' can be reduced


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f0a13ffe31c2c157cd7d70b24fefaf4f1582dde3]

	Missing include for older compilers


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0baf3fbf167bd9ef426c634c9659fc48ee199a9a]

	Silence some warnings


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4dd649bbffec7a48816af47ef9f1267a360befaf]

	Allow specifying boost include directory too


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01e26b6e8d3c0e32137c6bcac9c9254ce1ccd655]

	Add libxml2 include and library directories


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [771f5fb1d9e8671f22ac85499aa01c67a95c4d61]

	Add the Visual Studio 2010 files


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0f236f860194926b53b95bea208594a3a66b042e]

	Those don't need to be executable


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9b5f582e34ae0c86e234d01ce6593cd2b5813d7b]

	Add Visual Studio 2008 files


2012-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [34f5e9767029ea9161eb8f113ea20c958c9b96c4]

	Like in libcdr, detect each pkg-config dependency separately


2012-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d0b41f0f262656045c0de07892f989ea14d744fd]

	Fill missing char/para style only with legitimate default styles


2012-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [35ca29dfb8fd56ae56f8dc3b9dc9af55d609471a]

	Default para/char style is first para/char style if no style 0 is present + fill inexisting styles from default


2012-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8db265719cbbe7dad6cea6701a2022ce49a194c1]

	Collect default para/char styles


2012-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5f1e191c2a1b267448e8eda739a6a64e717eea74]

	Don't overwrite charCount on style override


2012-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d6cd8b5aa5f775f7d180b0af7db6ff89c97f8391]

	Functions to reset charCount in char/para styles and a function to get a char/para list level


2012-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd52fea5f40b4cd3336a9346e0ede4b41b737d41]

	Make charCount non-optional in paragraph styles


2012-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [05e166f1b9fd964556cb0dc992eaf5e931756534]

	Make charCount non-optional in character styles


2012-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bf7ae8fd01bf8e63a30853776fc28524411d1470]

	Fix some typos in the VSDXParser


2012-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e6521b2e40570d91b3cf3a40d72023bd5b7c42ec]

	Actually the relative beziers give control points


2012-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f08b74772cbfe7c1c307a458d658347d9c6ce0c]

	Update alternative build systems


2012-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e0c29139fa9fa333036dd737b7f07b66e59b7f62]

	Some infrastructure for overriding of character and paragraph styles


2012-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1458be181345b1430f425fcf48c55182f1ccc65e]

	Let parser recover on errors


2012-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [63957b89a91ef93873265cf9fc19634fdb92b888]

	Whitespace is significant in this context


2012-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [44bb3a2764f504e9b07f55b79eb34350646a99d9]

	Clean page shape list at the beginning of a page


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fea97f650b7820684f5b235acfcadcb758b781e6]

	A horrible typo that takes hours to discover :)


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [85994495e38f993ffe37e2b5dd0b9505e3664eae]

	Consolidate the way of reading font information


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [313857798ad8e213ccbf2508030b2dfa83896627]

	A little work on text block styles


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48c2dcda8e69dada93db647f07d05c0370d547bc]

	VDX: actually read the text block properties


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9975e07c6714d4a5b15f5296b0fe90af3c1bbbbf]

	Only one charlist and paralist can be in a shape


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [374d8157d5510d025af9ac644bb41ad0441caf6a]

	Override paragraph and character lists


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cea9521136abc9ebf36fbeaac551421cb377da33]

	Read TextXForm data too


2012-10-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [994a7d99db7ed7db16f3bc22042d57a251fd6b74]

	Calm valgrind


2012-10-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [49406bc00d517885aebf93a3d1fedffcc4352386]

	Don't handle utf-8 as ansi + try to not run out of bounds


2012-10-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6180912d120f1d97957b5ac89be54055497f4eff]

	Don't prefill the stencil text


2012-10-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c116a42fe925f101ecc2b7a98f8323cde0b61239]

	Actually output some text


2012-10-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b04aaccf3caba1bc66d3595408471d83f99b24aa]

	Trying to parse text in XML parsers


2012-10-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ae7d30af07e3acda9fceb6a667edca833a1fd5ef]

	Extract IX reading to a function


2012-10-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea90288a9f75e78283e72b00aacda902b5b91306]

	Stub ParaIX and CharIX reading in VDX and VSDX parsers


2012-10-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [601f8eb6666c57e41ea4a08be51400d048babe56]

	Read the stylesheet in second pass


2012-10-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [44d77dfa044dcf2a6c76754e9f36acb50639057f]

	Initialize the default colour palette even if no colour section exists in file


2012-10-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fa28ef16215b5a6d03e4c6ed90b4f23b16e07b17]

	In a generic way skip unhandled sections


2012-10-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1524c2106e13a726424d06ee031084663c743c64]

	inheritance of the styles is handled in the collectors


2012-10-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d262b14fe81dcda02225978b594c307d76e88eba]

	Skip useless sections instead of diving into them


2012-10-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e448b1e1a0dd0f4ff8d9a7df5a581e75f325708a]

	default excentricity cannot be 0


2012-10-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [954a75435a040d74710011844980c7f4423ef1a9]

	Some more boost::optional foo


2012-10-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5ae45d5a891ecc8a754090dc355d491715e94dfd]

	Simplify the reading of data to reuse as much as one can


2012-10-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a4a5b2e2b28f351ed1ebc8c33541f4631c86f97]

	NURBS and Polyline support for VDX and VSDX


2012-10-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90a8fba16e114e5d4606449b24b798f1cfcb20c9]

	Stub the parsing of polyline and nurbs functions


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c1f9a663e80c3e2bf4cb8e775d4ff68d000e2cf4]

	Move more stuff to boost::optional


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2265090307ba743bfbd6ade6c6bb158fa487afec]

	unify some stuff between the VSDX and VDX parsers


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [70e47c0f657d10cc5c0a3f4677fa46ba0c37f4fc]

	boost::optional::is_initialized is deprecated


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fb96ed396c4eea1a8fd08fdc441a52f0fd9c19d2]

	Fix a typo


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9cb6973237cf841b00a1c32ae94f0a56e6399b9]

	If there are both Master and MasterShape attributes missing, it is simply master-less shape


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [72e0fcf2a823fa9cc592efc400b3b0ed0122ae7c]

	Removing unused fill-related variables


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d81afa034e04f74258302884e7c6364b63ce256b]

	Refactoring the fill style output


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [94a1076caa971fa69da99561ff609cca4d4d2449]

	Remove unused member variables


2012-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b01a12e6a59da251b30e119e40707a4abbcfadbc]

	Simplify the function handling line styles


2012-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a8a1b31f7fe0a38791dd937b4b6a73dbcbc92f86]

	A little change in style outputting, still more to come when time allows


2012-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [12d6bdcb78df1027b04b3824133cb5f6d51e13b8]

	Fix showing of foregins + write styles only if needed


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ba0ccf3ecb7c1cc89dc9e60f325d7a685c38a4f8]

	All styles pushed using optional styles


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3e762d7af74523895cc297acf329f37ed9a4b941]

	Allow getting optional styles from the stylesheets


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f143c375e1726fbdf1bc0712e2c2bcd4e7d1fc90]

	Don't default-construct black backgrounds


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [548c78c0df6534e66960b2097833422561ad2161]

	Don't append double Z segment and assure that ellipse is always closed


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a15a332e19a381a9d301a4fe0ce3a5d7386148c]

	Don't draw markers on closed path segments


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [408b9e65ca23dcb717f28660ba73e9c10023a2b8]

	No point to dupplicate code in two different functions


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [63df51e6df26b0006f7afa67af012bdbc82686e1]

	Consider also styles ids 0


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [336ad0615c33f48776c6d289d13cba2361ffeec3]

	A little refactoring of styles in VSDContentCollector


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [05be97512e521107d35f408aaf44b3df682c7022]

	add override for optional styles too


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b1f83bda3f6d0d2100f8cd998e1cf740e852a801]

	readUnsignedCharData -> readByteData + move a bit


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a1e9260a8fde2ffca9adc34d9add78f57fe9a4d4]

	Move the getColourString to a better place


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21cb620d3e0c6c79bf2cc0f6597d6e511064acbf]

	No need for a whole template for 2 sorts


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ceb34b17a67f579e1710a086718733b9b32cf86e]

	Actually disables -Weffc++ when requested


2012-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7c542818a80720b487afe5b4cac9159c2704274a]

	Pass more properties as boost::optional


2012-10-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9bce368ecd695d7efa1ec3e947307b0898822478]

	pass the noLine, noFill, noShow to boost::optional too


2012-10-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [91923e5387a6ddef3c3f5e3271a9664cf65eba97]

	Some more path elements using boost::optional


2012-10-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [623d81f66e2cd3fb68f1d4c1faa1369f98af8bec]

	Pass some of the attribute reading to boost::optional


2012-10-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d3a7e539d7bdbb49c09da51139f20faf5ba514b0]

	VDX overrides geometries the same way as VSD, VSDX overrides only what needs to be overridden


2012-10-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3e52e26be3add6858978113a4bf2c10f3edbd988]

	The common class can have those two data members


2012-10-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [04053617df708ec8e028cdd41f66a1737acd890a]

	Try to fill the first 24 colour values


2012-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e0252b67cd4411d9bfb0496ca41d2f995c6f9b00]

	Implement empty geometry element to handle deleted segments like a big boy


2012-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [39b3c09eabec1ea2a0ab06e439a0fda7bb16aeed]

	Shadow offset for Y-axis must be inverted


2012-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b07acf1b507c8dd7b7d424d97f1018d527e0d13d]

	Assure that the geometry elements will be always output sorted by keys + fix leak


2012-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [687a79bb631779e6fc8284bd2580045f03720822]

	Fix some little problems in the VDX and VSDX parsers


2012-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a644e5c9177ea2306ee4db5560986b6186c9708]

	Trying to fix the extended colour reading


2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [942fad87fa5fa212f3bac34fe86d93503795f94a]

	Try to detect when the shape is not started


2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d24a91e19613906ee24a0a2c6b80a8c4f3e22665]

	Determine the first stencil shape correctly


2012-10-18  Eilidh McAdam  <eilidh@lanedo.com>  [0fbf7c6c5f4f9ec2e00b6ac35b52ee4b0fcb7cdb]

	Clean up reading of VSDX shape properties.


2012-10-18  Eilidh McAdam  <eilidh@lanedo.com>  [d36f6871b77a97e985292d34b6f93259eaf7b08d]

	Remove uninitialised variable compiler warning.


2012-10-18  Eilidh McAdam  <eilidh@lanedo.com>  [9838626fe18486ec52d541fd7206a368444f778a]

	Read byte from VSDX XML string.

	For use with VSDX values of type PtgByte (unsigned byte).

2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7c6651655f45460e5672684896c16c61950a9a37]

	Some fixes in colour


2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [18ac49d33309f87752dd6e4bf053440e07759c2e]

	Some infrastructure to parse the relative geometry rows


2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2bf7d6fc25eae5700eb3dc3d23c5d7d4cc61fdc0]

	Simplify the styles a bit


2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cdf5e2304cdb39073928e0d57621d7e82ec7361c]

	Simplify the styles code a bit


2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3228ad957fafa942e23ebd504358c478f7e0210]

	Some work on styles


2012-10-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0575f737dda8beab43db35fc2185ae597b4a2eb6]

	Some wireframe output for VDX and VSDX parsers


2012-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [68d2d679d1b1971bafc1bf4f98196023bbff882d]

	Parsing line, fill and text block information in VSDXParser


2012-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2db9835ef8d6436a0b9b95c0eb57bc5d9fedbcc2]

	Convenience pointer to access the current geometry list


2012-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b0db4b8dbefdd22f06f9060021e2bc682cf7a767]

	Prefill shape's m_geometries from stencil


2012-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9869287701de134f548a854ef149a252e1ada4ac]

	m_geometries being a map


2012-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [93b66c1452c6989bc4ab11caff46691489ca61ce]

	Make the test documents in VSDX and VDX parsers pass


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8f414c8ab182d7f90bc6c471e2a37d402fc80fa9]

	Fix one hang in VSDX parser


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [afb6c799c2a9431485051aa382594e4c8d7e7a46]

	Basic support of raster images in VDX and VSDX parser


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [74999f8d80b6f2b0df61491fa7d74f48e6b3d714]

	Try not to crash in XML based parsers


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [348ab75757b3971c8de93ad450102abd2d6f4303]

	_flushShape for VDXParser too


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eeb9ce88374dfd88a2f466f9241c2dbfe5323558]

	_flushShape uses member variable anyway


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7a5a1c187fb74d0249876643d1c3430bf5f105dd]

	Add Foreign reading functions


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c64612bf9dcb075dbad253119ed4fa9069847d9b]

	Add some readability


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a178e39c81657d17f0031fc68447074db1a283fc]

	Read the xform directly to the shape structure


2012-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c306518db1fb52753ede69ff89f4996c22bc5b68]

	Some work on the xml-based parsers


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [89d48e2bef16fb05f03ea6b11766c422259fd495]

	Slight modification of the base 64 decoder


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [983549a1b9afe8ae8688849b032840711d02ae12]

	addShapeId when shapes document order is their rendering order


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [20ebb45682e425b77a95e88e7cd80992a1f369fc]

	Append WPXBinaryData from a base64 encoded string


2012-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [69decfb12e848aaae253231933deab1241b281d2]

	Flush all shape information to the collectors in one run/function


2012-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4527063324abef456d4c11338983314774da0128]

	Use different shapeLists for page shapes and group shapes


2012-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d53ab4ae98264763d59f9737b0d41255d9de5168]

	send shapesOrder only if it is not empty


2012-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f0d3b9693fb25d66e04a45f64b1cb36d43f6de8d]

	Flush shapes order whenever we know it


2012-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a342fa871078b49eb8dc639e007d317a21328ca9]

	Add m_shapeList member to VSDShape


2012-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [58125a889a6393b4f44980dedb7c6626e0f2ea6b]

	First check for non-empty and then look for top()


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a63512ba866f230d69fe205fc5459f2ef6114db2]

	Adapt collectors to the information that will be available from VDX and VSDX parsers too


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5a67b4b97a505e65bbd2c0f8222a9137579dc6d5]

	Remove some leaks


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a435e900d8f6e9d69c56459679f7f3af7a82f4c3]

	VSDParser: use more of the VSDShape internals to keep information


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ec246e27dae71db706edc2502ebe7b5730d3d09f]

	Implement VSDShape::clear()


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0d18666d472a888af5d326cb9fd2376a38837640]

	Get rid of m_fieldList


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9dede524a845b5ac1b248833e20ceeb21c38ea4]

	Revert a part that creates more problems then it solves


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c368aee6d71bb6b62c0b9b86c8f19ca3baef083a]

	If a key is not found in a map, operator[] default-constructs an element and returns its reference


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b26be9a58a8ec9b32774ebc964e5169086a3940b]

	Trying to improve the field-related code


2012-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [85b2c74a31cebda8a174114b33f94cbb4d2f9db3]

	Some fixes of fields and line-breaks


2012-10-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a3a098c2d46667a55a7ef3dc1b63fe082d43119e]

	Try to pass to the collectors the shape at once


2012-10-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c541c562b2964f35f103265e71eba93388f5414]

	Some little improvements


2012-10-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4d34b1ceae47f18dd217721e08093f969f55d3ef]

	A bit more of simplification


2012-10-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc5af40632051acc1224574f3d3b49851884f918]

	Avoid dynamic_cast


2012-10-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eacf143acf29f94c9755247edf3c089fcc44d5b8]

	Don't add empty geometries


2012-10-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0b702d203c540dd4ed0c6a0c75fefbc968a96ff]

	Trying to refactor a bit more


2012-10-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [841580ffd38fca7958e4f544f1671c22693014fb]

	Fix debug build


2012-10-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5f7d0848088a5781f31f32d439309e080663bbf8]

	Diminish pointer use a bit


2012-10-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7447f61fbf8f270ce1c4dd6440aa2e41ebb44063]

	Fix possible uninitialized variables


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [52ac77cf558f38ac40123baae091aeab8c314b2b]

	More VSDParser refactoring


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b10d15d84e683991bce9183e57a5af9393b89961]

	Try to finalize the _flushShape function


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [161379ae8069ee600dddd0a24d2762c17fff5aa7]

	Some constness changes


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48acbf9318c7999ff37938da1cdff7b71286f910]

	Store some more stuff in the VSDShape object


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c8cb7f625d753deebad45a2a0458d8330636fbbd]

	Some more styles passing simplification


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a1bced8a2efe3a73768c65440f1fa2444d79c0a7]

	Simplify the passing of line and fill information


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8ee164ea207c0365cfc2028e9b8773d04cb45e63]

	Simplify the collectXFormData and collectTxtXform functions a bit


2012-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d525f5e5a65a08da65f51d5531dfad4024d35d8]

	Some more simplification of the VSDParser


2012-10-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cecdc73da1e54b82cf87614806336fefdf625f3b]

	Simplyfy handling of shapes a bit


2012-10-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [197a104e12c6040522b1c51bc63b215f5b697754]

	m_stencilShape -> m_shape


2012-10-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1b253606e2f47d54986ef4ebd5bd31c98d993ae7]

	Access directly the stencil shape using master page and shape IDs


2012-10-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f181df0c80b512d050cdf29988d89ba810e9b83]

	VSDStencilShape -> VSDShape


2012-10-07  Julien Nabet  <serval2412@yahoo.fr>  [07a548f930ac991aaa595d04ac3716c9f7b690e0]

	Some cppcheck cleaning


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b5c6477777d1459359139b7902d8c7b6ef7351da]

	Some more configurability about warnings


2012-10-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9f0936d6670ac6b425047bcf3b6e3e6bdfb09c42]

	Some more readability an error-proof changes


2012-10-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c1935560a1f9f74c04260a09f8ce42166b937a22]

	This is a bit more readable


2012-10-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [17b72e34549cfb8ae1747fe3de328498642f60a2]

	Add stencil xform and txtxform


2012-10-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5ae4b1188e4ede348c1a0bb574eaeec5261d23e]

	Try to start to parse shapes


2012-10-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f767bf90acd9fd602281dd4a9729869e4fb2e5e]

	Don't pass geomFlags to the collectors


2012-10-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d10fe67230c3bdfedc91b89a9b77d3348c731b7d]

	Don't crash on invalid namespace uris in SolutionXML elements


2012-10-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dbfb10aefa3dedf07aeedf4d7d055ae08e96dd7a]

	Don't abort on themed values


2012-10-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [95b55035a1d0b0e9342bad487b5c10f04b1f12e0]

	Try to unify stuff into a common XML parser base


2012-10-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9f2849cbe48dc990f28904e3caa5db028a464b42]

	Simplify a bit


2012-10-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [20f2a0364f0d99b2fb51995fea13dd362e472d87]

	Output pages in VSDXParser too


2012-09-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7785957cd9d5b3765accac946f22b1cc3d879183]

	Handle normal and background pages differently


2012-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a6824dbe9fac59d94e4506f04ca75b6abe670d23]

	Read the information about background page in VDX files too


2012-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2037e885a4065c15724b91c00cc4427cdfd3da9e]

	Pass to collectors information about background page


2012-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [92f9fea19ac8842278d9bcd947b2f3b92d0dccb5]

	Detect a background page early


2012-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6c92abe35679362ccbf368466402b5900dff04a8]

	Include VSDXMLTokenMap.h in the VSDXParser and move the later into the libtokenmap helper library


2012-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3a5726e60922d810d4b0d28476dced1116a15f4]

	Some framework for VSDX parser


2012-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ac5f8a0d8c5b6e7625904be11348138e2718f4d3]

	And also fix some bugs, so that regression suite is happy


2012-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b825c1204f474567fa12145ee4b5de53514ef033]

	Remove a stray Fridrich


2012-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [93e5bde288ce6c8fd5edf6aadf9a6628b8a5cc79]

	Pass the transparency to collectors as double


2012-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6ebd46daad93c467be4d7180d66aac7d96c76c67]

	VDX: Output now finally empty pages with the right sizes


2012-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9b8073ef65d01b7785be24e914a41d8dba27c907]

	Make the VSD parser a bit more robust

	- Some documents can have empty groups/shapes, so handle that
	  graciously.
	- Only wrap by try block the reading part, not the whole nested
	  function calls in order not to handle exceptions thrown by other
	  functions.

2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [564349907b88c0b370a5e3c44de895cc28e0e3dc]

	Our assumptions about stream formats are a bit fragile, so don't fail if we are not right


2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [87580079fe33d42fe6f67a424267743fe8e9b4fd]

	Simplifying a bit the colour stuff


2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8019d372f28c184b239061eeaa6ed03b139a97f2]

	Rewriting the collectors to be more useful for VDX too


2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cc7f5c880942db0060c3ccbee80cdb9247b1c49c]

	VDX: parse xform data


2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [792be6562c4992dcbf4f2f746e8c882b5817f7c9]

	Parse VDX TextBlock properties


2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [13c403e2cea0de46ad6909c73ae11a74a6f49513]

	Add a token id


2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3b131c2ae70b9567e19e40adce61373118d40c00]

	Parse VDX fill and line properties


2012-09-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dad5c1f8d985e81e57f9a570c9279ca9996dd0e4]

	Some more VDX parser stuff


2012-09-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9042193ee239da56cc2a4b3e4a5e0ff4c2ae8e0]

	Start to parse the font and colour list in VDX parser


2012-09-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [13075cea72b01f7ee0b9f9f3066602152dcea5e1]

	Add all VDX elements


2012-09-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6e98c6c1d414610d169764f6118a1411a3021b74]

	For security, check for sed


2012-09-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [128943e5d5c0207208f2f8681678164b95f25963]

	Export only useful functions + speed-up rebuild when tokens change


2012-09-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0fb0421ba6f724e3b9334f41f923a7b2950b40e0]

	Setting up a hash framework for intelligent work with xml tokens

	requires gperf >= 3.0.0 at build time

2012-09-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0288a2d8ac36ba0694b2fcce200e6b0122ff8617]

	Try to avoid memory management of libxml2 strings as much as possible


2012-09-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ba8381f6f7c94f9c298ddb4558d97dab45d88190]

	Allow building against older libwpd-stream, but without performance boost


2012-09-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9ceea139820138ff34ee1afa86fc5223be14e427]

	Set a custom error handler for xmlTextReader


2012-09-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [03ec4eb527b852a4707c34626f7988f6ce40ac18]

	Speed-up zip central directory search, but depend on git version of libwpd


2012-09-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [496c9afaa4b48c9930cf6ee8c1b2c95116d712e6]

	Add BIPU VDX parser


2012-09-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ccfdb3f0f9a3ea713e49692ba87c9c7d8a581c31]

	Extract binary data streams pointed by <Rel .../> tags too


2012-09-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [949de08979adb2d02a922324c2ab0a52e708fd71]

	Flatten the xml that reader functions have to read by following the <Rel .../> tags


2012-09-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5a08f8316c01424b5dcad5c80d45f773fceb8921]

	Adapting alternative build systems


2012-09-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8759ddefc766a1881d753ec1d126983d3fcdce19]

	Add VDX typedetection


2012-09-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9ea1543a93a1b429425f880030683d9829d5de2]

	Spin off the XML stuff in view of VDX support


2012-09-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d17dcd0daf1d465ed54564cea269208ccbe21fc9]

	Simplify a bit the VSDXParser


2012-09-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [69b47cb15fa00b8885a067530ee0e57e61ef7769]

	Clean up the paths pushed to the API


2012-09-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0edd86fd9480b71ca5e86a628e81404cb135948d]

	Suck in the collectors to the VSDX picture


2012-09-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [632454a580f283e34867da9515e7c90a7a208c36]

	Find a way to rebase the targets just after reading of the relationships


2012-09-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e24af0057b4e1453e18d873e2a915c55a49e59f8]

	Some more relationship and stream parsing boilerplate


2012-09-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea7a1060b565f4d0c59ea7c7d19d1d385b847eb6]

	Add function to get relationships stream for a target


2012-09-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3e869c335d39ed5d3d00d7dadb2094a842e63be3]

	Visio 2013: Parse OPC relationships and make the typedetection a bit more serious


2012-09-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9f313fbb3b0a581421f844484f132fb15082624b]

	Some BIPU typedetection for vsdx + some parser boilerplate


2012-09-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cd566dde10e3c062fc0365949dd9927292f243c0]

	Stub the VSDX parser


2012-09-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1424048914312fccd587e415d1f94f8df1531f8e]

	pointless whitespace cleanup to increase my commit count


2012-09-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [54b2749837d6e7977b7e07c1e305f389641c9c88]

	Updating the alternative build systems too


2012-09-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [006e0a44f9cf2a70cb2da31c0667bd882df06d84]

	Prepare for the new VSDX file-format (ooxml version)


2012-09-08  Julien Nabet  <serval2412@yahoo.fr>  [96a2aff0c44b216d8f22dfbf4d86918393b8ea08]

	fix reassignment a value before the old one has been used


2012-09-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7074c5f87a67b25ad9b487d6f2715fed3606f18d]

	Don't output the last line break in a paragraph


2012-09-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d946ab4bfd3039bffe607e11d189c8d25127492c]

	Prevent automake warnings


2012-08-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [181ce1b3143e3c0d8bbeef38be25a6cb684e8a94]

	Trying to output line breaks that are not paragraph breaks


2012-08-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e0144b4d00d6411afe5646714554340983ceb8f0]

	Some initial handling of 0x0* type of streams


2012-08-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08e7466cb79086ccbf954dc67744edf56b48cea4]

	Bump version so that one can detect the presence of the new stencil parser


2012-07-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eaf256c0a003d1f52813cb0fbf627bc21f7abf75]

	BIPU vss2* support


2012-07-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [87b87ec4fb05651bda1f27e93cb41b0ca8e9cf3e]

	Initial stencils extraction

	set WPXParser::m_extractStencils to true in order to get
	stencil pages instead of normal pages

2012-07-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b509701a5b50d8e03b542cc4e60334c73756447]

	Trying to unversalize the parser


2012-07-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [82400a45791a8c4e69704016a484b4ade46b62d1]

	Extract chunk reader logic in order to reuse with blobs


2012-07-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [29127e5d92506c4b8bef93b49f8e327a6a576560]

	Trully implement 'level continuum'


2012-07-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0629a3c39115bfd03007aa5601e37a8401f8ac06]

	Simplify a bit the code


2012-07-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [96ab4e4222e0771e18c797d10ba7a70015060978]

	Revert "Implement 'level continuum'"

	This reverts commit e44063e93b8f0ff9bcd62a26e91045192030773a.

2012-07-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e44063e93b8f0ff9bcd62a26e91045192030773a]

	Implement 'level continuum'


2012-07-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90706d978abf2a2cdf1c0ab8c01e4226e17bb312]

	Little tiny cleanup


2012-07-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3c893905e7979c813533ab57b924dceb867268c6]

	Those streams are blobs, and we will not descend them, so return -> break for consistency


2012-07-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [078ee9ecfcf30e8bf0e8ffcd6829ead08b0d951f]

	Getting rid of handleForeignOle


2012-07-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6f6a9663783999b56c7e80dd1c61026cbedd1c8a]

	Get rid of handleStencilForeign function


2012-07-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fbcdcb020c1c18c9a14543b8b15b2e55095cbe9c]

	Move handleStencilPage to handleStream


2012-07-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e8682b1d146228ceb8d0e4bca2c631d2139dd50e]

	Unify a bit the logic of different stream parser functions


2012-07-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [410c54842dce5e977b8a985a9e4a23a5fba4f514]

	Bump version to 0.0.19


2012-07-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6c3dbc359f03eebe5f81d90a2f77cad295b14fe6]

	Fixing fdo#50990


2012-07-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5b0560d780f8575376d89f6282d620eec9255a8c]

	reuse m_currentShapeLevel for stylesheets too


2012-07-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [309883a4e8ab3b3d7f207902db5ff148c1177f38]

	Another tiny incremental change


2012-07-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [545f0adec7cbae3d04a2809d68850e10827fec84]

	A little refactoring of the level change handling


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0542f8229ec7cb5b887546b0db6996f6aa4e906b]

	Order of pages is their order of arrival


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d27133e8b7a429d98950cdc0a51f6b61eec9875c]

	Revert "Drawing pages in right order"

	This modification is not needed anymore, since we approach
	the reordering of pointers differently

	This reverts commit 9371595a11a0858fc55ea9fce67dba12b39a6e3e.

2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [22ada96fb35824a5f8abaa4af31e62e1c20385d8]

	Reorder pointers to streams according to the list


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [84624677f12d31f0033aeea30bf60a82884caa5d]

	Handle 0x8* and 0xd* streams in an equivalent way


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b1270f57e0b7e4d5252edc4a4590ffd98759a7d]

	Push information to collector even from streams if that is where it is to be found


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c9f9f0c7b27c3da80bd9872881c530525fbd5e4]

	Keep pointer numbers around


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d76442dae8301d74625e3dff25838f46f7afbec0]

	Get rid of handleStencils + some fixes in styles


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3815ebc9e0802bb8ec2a3f5941862df6e37e6c2]

	Clear font name before appending to it


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e185f81a99945dbd02de495ed2f2455f0fa0ae0a]

	Get rid of handlePages function


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a634e573f4c0c49d7971b8910f00542a18f5d71d]

	Removing unused constructor


2012-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [746d29f19db8111e0f3bb27027157d1c289cc901]

	Recursive parsing of streams implemented

	Not giving any output as of yet though. Please, use STABLE-0-0-0 branch
	if you want to see pictures. I will merge this one there only after
	regression test calls me "good boy".

2012-07-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [19d8415d4ca4ceeb5d8d8d880e88bcf39e493ef1]

	Little correction


2012-07-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e4f9772462a7de98515c7691c4daf1183e1f3866]

	Unify handling of chunks in stencils and normal pages


2012-07-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [750df6c2f72717ba09256a3bc509073a1c0f5b8d]

	Some more refactoring


2012-07-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [47e8a2c7824f6b0c1df8476e9236d1cfd870b545]

	Extracting individual stream handling into a separate function


2012-07-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6b60c867cd74d1eaad8a2f39e84f4c9b61491a54]

	Extract handling of streams into a separate function


2012-07-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a820dbd04e8f0afe1716ee58c877fd6ebde8aed9]

	astyle


2012-07-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3784a67af37d19af916771afa49b9a83ae7ac32]

	Fix endless loop with text fields in VSD6


2012-07-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [23674b1fe781e8769ebc2f26826632c676ad1f9c]

	Appease automake 1.12


2012-07-01  David Tardon  <dtardon@redhat.com>  [f047d86ffa7f3ae3f78c20356b58d6d681398bc8]

	!=, not ==


2012-06-30  David Tardon  <dtardon@redhat.com>  [5cdf1b038052e2483425ef8d1761a98042432623]

	coverity: protect against self-assignment


2012-06-30  David Tardon  <dtardon@redhat.com>  [eb391d7ff19b18e2b020a4d20760f94a8e0600df]

	coverity: protect against self-assignment


2012-06-30  David Tardon  <dtardon@redhat.com>  [042eb000a66bf2e3019e8eb83e09906cc2f1c745]

	coverity: protect against self-assignment


2012-06-30  David Tardon  <dtardon@redhat.com>  [ba5f4ec35d86f909dff7b2c79cec7150419b2866]

	coverity: memory leak


2012-06-30  David Tardon  <dtardon@redhat.com>  [a6cd6d0f70c5527d8ffff41425a87415fb0bf6ed]

	coverity: bin superfluous copy ctors


2012-06-30  David Tardon  <dtardon@redhat.com>  [036057baeb33f79854f400cade701870cc750fc6]

	coverity: bin superfluous copy ctor


2012-06-30  David Tardon  <dtardon@redhat.com>  [de403b696693c727c2eee77287bce2c9734e5c3f]

	coverity: bin superfluous copy ctors


2012-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [05d10a398c104e011e197bd8ac3c5b7dda2a0d62]

	Superfluous includes -> raus


2012-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c01c0510e9be29c7d81bb72fb7c2eb20f191571]

	Disable optimization in debug build


2012-06-21  Julien Nabet  <serval2412@yahoo.fr>  [8ee6d82da3fbf5676c9bbcddaa6e3e5538900b35]

	Fix prefix ++/-- operators for non-primitive types


2012-06-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [66fb0e8833a5ab6cc23a3acb7d6148ba948e51bd]

	This langid does not make sense and we don't even use it


2012-06-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [22ae0a7d9495bff5ef0e44f62da1719edadc9d6f]

	Trying to make encoding work in version 6


2012-06-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0618ceafcdcddb22d9c3a07ebb5a6642e08ecb75]

	Sync this with libcdr


2012-06-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [43d13b0962879d84adfe3933bb6687bcfe2d3e3f]

	Fix utf16 parsing


2012-06-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d7237089f294963eafe06f3cec08f84732517bfb]

	Some more rework of text encoding conversions


2012-06-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [72c9e4d27a366decc34979722d2b3f6179483388]

	Some character conversion rework + some debug messages


2012-06-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [96fd597185cff3fb42e3f2882367f9596aff3aef]

	Some belts and braces


2012-06-16  Julien Nabet  <serval2412@yahoo.fr>  [fec099556e1aa6e9d4177908530900dd02e17136]

	Related: fdo#48601 FILEOPEN: Open Visio's file with bitmap's blocks

	This fdo contains 2 files with which I had a different crash for each of them.
	This patch fixes one of the 2 crashes.

2012-06-15  Julien Nabet  <serval2412@yahoo.fr>  [6bd252598ca662b909afefb133c63a4f7f4b6e84]

	For the moment no more cppcheck reports


2012-06-15  Julien Nabet  <serval2412@yahoo.fr>  [b53f31e4615740c676621680312334aba7397933]

	Resolves: fdo#50988


2012-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ecc69c362daf5d0dc623f2cd11ffbddf9f30e845]

	bumping version


2012-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ab3b76103ab33a282f02778a9c7588bfc067ad7b]

	Fix another crash in exotic circumstances


2012-06-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1a27c17d4c758ee672360aba0b5a05d54b3d9c41]

	And make it even compile


2012-06-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [943c45de562d5a7faa70c766ae5ae5b2adb86df2]

	Don't push_back(.back())


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9316bd4bdd8f7ee21df91e5532566c34906043af]

	Fix some crashes on windows


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d09261a89a0cbd829e73941c4920ff8385fcf7f6]

	And produce a valid xml too


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9c8ad373a36d6cdcbf5edf913f67d65e7c33fca5]

	Avoid SVG crash for missing svg:id


2012-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2f7653d73dad31bcb6d14a973c41f3c029ada10c]

	Make the thing even build


2012-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd1fb6281f02a331f09724a4b514de774b329a03]

	Break line only at the end of the line


2012-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0538fd26dbbf8137faa7a039accb502482512f5a]

	Add vsd2text tool to dump text from Visio diagrams


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ed2dab37d011a1027d1a48a72faeea530a560ed8]

	More warnings to be safer later


2012-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6d92fd7a8824c9f7aa5c0570982dccc14333863f]

	Unused variable


2012-05-31  Julien Nabet  <serval2412@yahoo.fr>  [870bd8035177446209d70efb8c3272c9c9a56491]

	Resolves: fdo#50178 Reading Visio file causes crash

	Problem with iterators, more info here :
	http://nabble.documentfoundation.org/PATCH-fix-proposed-for-fdo-50178-Visio-td3985678.html

2012-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8d2d1c8c5b9a85b841843c51e546d7f121b414ec]

	include stdint.h and inttypes.h inconditionally in no-autofoo no-windows build


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5b3ed97f3fa7e7ac74ffc2571e04513dbd22091]

	Group the filled and stroked paths that are part of the same geometry


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eeb3bf5fdbd59fcf2e20861abc15596c52a892eb]

	Bumping version


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [93971d5cdf3521dc015fe968609c0d2dc643bb63]

	Split fill and line to emulate Visio's idea about shapes


2012-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1e8f7afacffd50922e2798a9f7c237dd59459141]

	Write out also the background pages after normal pages


2012-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9371595a11a0858fc55ea9fce67dba12b39a6e3e]

	Drawing pages in right order


2012-05-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6d579c759f482b245ed350a4be04006a3cad32a8]

	Don't allow typedetection propagate exceptions


2012-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3d59fc77396d29515227de1549e2db5207e17359]

	Bump version


2012-04-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [319615a261cc459cac600e20e21564f2ca8a2220]

	A better fix that does not alter Bruno's work


2012-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [172f8f5c96a7a1008403798d58c87e5c3312a351]

	Adapt the end and start line markers to recent changes of svg:d in LO


2012-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e7143d3312b6b235be0a70415d6e2838d6c7c24d]

	Read longer integers in one run


2012-03-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f1f13a69a0f47db35409dcccf742e8e8f5ae240c]

	A bit more of sanity


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca4e58af69a4a74bc73fd6b5b8c7ae158122bdf0]

	tabs -> spaces


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f502b0b753f3336556092a403c8ad2eb54892d18]

	Consider svg:x, svg:y, svg:width, svg:height separately


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b5782630e207d9d6b9f726722f88408fc582c247]

	Generate SVG for bitmap fill


2012-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0541a6156076ecc0c5568d29022a3dd128b65c5e]

	if asked for emtpy, don't use size


2012-02-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa63cee848cd464430cfe5b46fc958cbefdb097d]

	miscellaneous build fixes


2012-02-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [34cf969c24d483a2bec6e1606de88ac19fe4e1a9]

	Fix closing of NURBS + some astyle action


2012-02-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ee4214e1dcefc8b947b5f0cb2519e6588012bb35]

	Bump version for an eventual release (frob: not for blogging yet)


2012-02-20  Bruno Girin  <brunogirin@gmail.com>  [8b7ca15e05dd0ddb48f9230e41539477cc754cf6]

	Added shapes for markers 1, 3, 5, 6, 8, 9, 10, 12 to 18, 21, 22 and 39; adjusted scaling.


2012-02-15  Tibby Lickle  <tibbylickle@gmail.com>  [a7eb7bd1e836e4646f0e5f047d386ccd5f5146e5]

	Added OLE stencil support


2012-02-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fcee6785ee8cf688d0e6c55658906b7a033e8868]

	Actually clear the stringstream


2012-02-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e07e23d50b383dad42207efc010df2eacce251a3]

	Output a vector of SVG documents by the API


2012-01-31  Bruno Girin  <brunogirin@gmail.com>  [e5fa75081a731af22efa8de830cbbeaf2c030995]

	Partial patch for fdo#44551

	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2012-01-28  Bruno Girin  <brunogirin@gmail.com>  [71e5e760c5d49077cd6e8fbcdd398767d946b279]

	Fix for ticket 44576

	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2012-01-27  David Tardon  <dtardon@redhat.com>  [8f036a2767d42155f2f56bb737df8156996d151b]

	update COPYING.LGPL to v. 2.1


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b313fb8faf1db89b99e2652d89bcd31a74e658e0]

	Fix the buildnumber.sh script


2012-01-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0ad5cc1304b65b55ffb392093c602d0936328982]

	Bumping version for release


2012-01-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4f531307e6146b640070819bf15be221f4922785]

	Work-around a broken behaviour of LO Draw


2012-01-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c1bd6903605800440d3bd739f3f130a0e0aa873]

	Simplify ellipse rotations


2012-01-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [92f1e199bbcb63522af89227faa2d3434c8346ee]

	Try to make the rotated and normal text look the best possible in SVG


2012-01-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0898c9ee3f58531de0489502716f3a03098d992c]

	Trying to get the text rotation right


2012-01-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [192d394c142c8fa1e28fa1c2279cb914b7f6017e]

	Trying to get the text rotations more or less right


2012-01-16  Bruno Girin  <brunogirin@gmail.com>  [4cfe987e9bb29d3b34d3f9f779e878a896897110]

	Check endMarker even if startMarker is set


2012-01-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [825d3188f1da6ce0eef1ff51718091ea889dd21b]

	Bumping version for release


2012-01-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08d9a5ad6fbdddefc6ea51ab06750d38e33dac50]

	Simplify the API a bit

	Since the way LO handles flips is counterintuitive, use properties
	from custom shapes "draw:mirror-horizontal" and "draw:mirror-vertical"
	instead of negative heights and widths. This makes libvisio/libwpg
	API more intuitive.

2012-01-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4d4e4e44fe790bce9e7fab4ee4aedc7b41a1a360]

	Foreign rotations


2012-01-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cfd630c1ba2df5d9531ccda04325a40aa33d10c4]

	Try to handle the foreign flips in SVG too


2012-01-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8b75d6f0daa43e825e955d9d02c840beb033d29a]

	unnecessary braces


2012-01-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dcfd213571043b04b03d5cb948457af258f0cdd1]

	Initial implementation of foreign flips


2012-01-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1597ef913db6f3c4e16df727aeab988e6865ffcf]

	Emulate flags in ParaIX

	Since the flags change the orientation of text
	\(or better what is beginning and what is the end\),
	change the left/right alignment when they are present \(at least\), while looking for better solution

2012-01-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [817ff8087cc67432de553bf17b9f345d8c99ee20]

	Fix one-off error with some text alignments


2012-01-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8024a768a8b3f55adf1991d5a30aa369312d4fcd]

	Reinitialize line properties before dealing with the geometry override flags

	Fixes rectangle borders of Brainstm.vsd

2012-01-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ad78b08749c566bb3642b96bbfbaad2bac0c66dc]

	Bumping version for 0.0.12 release


2012-01-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0d59f0f3715f78426bd50dc44feac6f59d674b89]

	Close the path only if it is really a closed path


2012-01-08  Julien Nabet  <serval2412@yahoo.fr>  [f7e27cc9cd1942095e288c887bc0735bad822e94]

	Some cppcheck cleaning


2012-01-08  Julien Nabet  <serval2412@yahoo.fr>  [aab2d48237e0713bc8991c81469fd40a30926b29]

	Some cppcheck cleaning


2012-01-03  Julien Nabet  <serval2412@yahoo.fr>  [2f5e79593b5d4c9df1befa187e6f33cde847445c]

	Fix "Prefer prefix ++/-- operators for non-primitive types" reported by cppcheck


2011-12-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c7e2d997cb741059039824efbae67ee8275682e]

	Remove speculative code that showed itself wrong


2011-12-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6bc208e18b1ceeb090cc2731e644581a432eeef5]

	Unbreak build


2011-12-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ce95885f16a9da21df500ea05d474f4044163a8b]

	Parse and push embedded OLE objects so that applications that are smart can use them


2011-12-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [050faf253fcf1870489a90b2c8f7a3802730170c]

	Use -no-undefined on all platforms, since it does not hurt anybody


2011-11-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [595e438d499e57fd289696bbf796e994e8d84a5c]

	Bumping version for relese


2011-11-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [037414f39866f40e67204c9829c8422514da2c38]

	Update doxygen.cfg file


2011-11-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8b362a7d2c054625065aa9df5a35f5b5a82b283a]

	Use Valek's revised knowledge of block parsing


2011-11-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9079e1765032e696acdbf41914a7923ebb517b73]

	Try to get field format information in the VSD6Parser


2011-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6a6d0b8c3c8dbcc74bb76467b05c24ec67df2027]

	Uncomment accidentally commented stuff


2011-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1491710fb9ff7fb3d2de557e89f11d84774c72aa]

	Initial support of text fields in version 6

	oletoy handles wrongly the blocks in the TextField chunk in version 6, which we need for better support

2011-11-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0dab3c1de6aa33f22d2145231624f14cdd636c55]

	Move that format string -> formatId parser and acctually use it


2011-11-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa22e620a22ed4fe44b1fe297a70e025944fb4c2]

	Handle esc(N) as N. Useful mainly to parse esc(0) formating string


2011-11-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f5bb8176acd9a2487b5f37d0bca18728598f17d6]

	Fail if the number is negative


2011-11-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4f95a92c0516aa1dd6337f63e40e6ba9020b95b4]

	Make libvisio depend on boost::spirit and start to write parsers of format strings


2011-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e7d9dd431af7ba038a8fde86be9d48f44aa16b56]

	Some more fiddling with the logic behind the fields


2011-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [22d73b811f99c5a41e3a9deab2837fb21343aad0]

	Some more work on inheritance of formating information from stencils


2011-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fcc3af85e93499f31e5d3b51037215be642abb43]

	Removing some good guy debugging printf


2011-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [23469c449af9f661eefc671ae0214ab676fb0038]

	My Sunday work on the text fields


2011-11-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [18b2c1e46810fbfe653b403f3165a281c760f44d]

	No need to state the obvious publicly


2011-11-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b0cf78f6aaf3ec8c12d16ac79edec5f6f3fda031]

	Trying to get the stencil field lists and name lists right


2011-11-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1179564e019951632309751c8859ac0c02dcc0d2]

	fix MSVC build again


2011-11-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8f89db909bb4435ff51fd81a1918085c643b7642]

	Trying to get the text fields right


2011-11-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c22de89f84dbff8012c026e30873579b4e947b5b]

	Defines for field format codes


2011-11-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d2a5791da469ebc254d66caecb4ea38417b5e9a9]

	Use alphabetical order


2011-11-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c901dab0b8b2b27b055756842424f248fe3804fb]

	Fix MSVC build


2011-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4894bd770b1fa90df4e572e285372db3ea8364f8]

	Remove some warnings


2011-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f1ab67ca373b124684297c421ca66f72bf32f810]

	Some little fixes


2011-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [07d8883d31f7fea62aa2dbaf5ac279086e98a8e0]

	Don't forget to initialize the namelist


2011-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [59a4a8c26e5c11fda7f07c35a72ae5f33fff2461]

	Some callcatcher love


2011-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [80ce9032a98cfeb434fdf23a8a99973eb8754c97]

	And now the text fields should be replaced (not in the right format though)


2011-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc4fb1d4c5e37272c024047dd383ea1b74cc45fc]

	Clone the elements when converting a VSDXFieldList to vector


2011-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [79fc6549cf059c97aef7ec5927233eeced2b9984]

	Make this function static function of the class


2011-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d778b25513c6ca10f737719c92d5c81e1230ccfd]

	Some more text field parsing work


2011-11-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eb6ebcd3a64dcffde12239e892363936e8c6d755]

	Some more fields parsing stuff


2011-11-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3b683e2524b198e1f3e5b82a1b344700419edbcd]

	Actually parsing the text fields


2011-11-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ac43b2ac191730f32f53fe644b032d393f789bc5]

	Stuffing a bit more the VSDXFieldList class


2011-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc0a1982f5d02404b51e2f28f5ea6417c48b7455]

	Parse and store NameList


2011-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [efa4a2a530699a5b7bd330ee7e1fb4df764358c9]

	Trying to fix transforms


2011-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [93e2e96b972a220ac20e0c3176d958e0579547da]

	Add a container for name list into the stencil shape


2011-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [791799b02299d2f5399381d85827421cdeecf0f4]

	Always multiply coordinates by m_scale


2011-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ace424035faa2d2db9d966523315dc6da6703701]

	Complicate the thing a bit by using WPXBinaryData for text


2011-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eb76e0ba3e64106418d0cc415053f5a4b1d38773]

	De-duplicate collector functions doing the same thing


2011-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [42abce82aa23fa908e75836716497210908a3ca0]

	Some parsing of field list


2011-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bddd0e1e6ac435c0eb1487054c26b7d236f9ce07]

	Add some useful chunk ids


2011-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1e836a75900a51f6230d201214a310892834a76a]

	Laying foundation for the support of Text Fields


2011-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7b2e2107d1eb14c85e40b234b21cfdc0d86d31a3]

	Handle Stencil text


2011-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [00cbc46ad0ac68a5cf40128531401a5d8f5fdb83]

	Use the same stack for the group text and for the group membership information


2011-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b979f77366cb55e64fd70d9196628c49852365dc]

	And make actually compile


2011-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4857fc4439be397bfda0485d54665d9e32dbe476]

	Don't forget to flush the last group texts


2011-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6638cf8906026216e54f22103541ff1f087ceb47]

	This seems to solve that Z-order issue with text


2011-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fcd1c64542412a4af1f5bbcf401761ec1e6edbd6]

	Another, non-working (yet) attempt to solve the text Z-order mess


2011-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [50e31d84012422be4d8432192ec52dda9c98a42d]

	This one will not be needed as I see the things


2011-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8a9dc89dfcd9691575329db14a4266ecbbcb6788]

	Separating output of text from output of drawing


2011-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [566aef1905fb0ab2e027ada967e28ef16f7e19b3]

	Laying groundwork for the text Z-order solution (part 1)


2011-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8bee1e97f93d52ceb39f118862cad12a1a754029]

	Draw in the page scale and not in the drawing scale


2011-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9527b9538cc2dff12f42881f42fd9d7e6d1f113d]

	Allow considering text related properties from stencils


2011-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [42a64de1f89c1e19be47783d4733bc93f1b404a3]

	Trying to make the styles even more intelligent


2011-10-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2aba640903635b9b4af7151980c6b3001d0bc0c6]

	Adding emacs and vim modelines so that contributors do the right thing


2011-10-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2e10182d3447b1fb24848c6b24915e0b7b7ac448]

	Emulate infinite lines + fix some scaling issues with dashes


2011-10-25  Tibby Lickle  <tibbylickle@gmail.com>  [ea5daa82e52bbe33f85d6ea4290e346eb6291ba3]

	Specify line marker size


2011-10-25  Tibby Lickle  <tibbylickle@gmail.com>  [ab2959182b1910f905b19e9d607a05804deb1244]

	Added basic line end (marker) support


2011-10-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c04c12da71d61713cbce32f4d3dca7cf9ad05253]

	Some more changes


2011-10-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [56ceb7971f46f4e0171067e44fb7e4e46dcb43ca]

	Reformat in order to have everywhere a consistent coding style started by Eilidh


2011-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd277484ed6c9cbeb11e155a9347c3d2cfdbfd6d]

	Fix the build inside LibreOffice environment


2011-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [51f8576c7330046eca0ff3c52d953fee61fdc8b5]

	Fix MSVC6 build


2011-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [226e3e09d09d2c06270133709050aec85aa44437]

	Calm down valgrind


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ba3b0454500c59faa69a8d9fbf159f25d9a0568d]

	Silence warnings about unused variables


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cc129ffbb74f464ae70011978f02af30dce6e831]

	Bump version (not releasing yet though)


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c31712024f89660d8cc9ad790f989ee69956e038]

	Fix text area vertical alignment


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3de5b98734eb8577e4373aa257087dfd4083d913]

	White space changes


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [80dd8ef5d4e0a053862271566c299447829a0de2]

	Reformat for the sake of readability


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2f9bb66ff1d4db6b027252a53fdc7f150a05b872]

	The getStyles function can be const


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d857e2db6bba57717db2bca074ec86e955f7201d]

	If the shadow offset is 0 and the shaddow should be shown, use document-wide default


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6e1341f73e9deb13d0b2a68740be2a7a78940a75]

	Initialize to zero char and para styles


2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa47678768eb1f5df86a1436088a26abc8fba5fb]

	Initialize styles correctly and remove unnecessary variable

	1. Initialize from Stencil's pointers to style sheet
	2. If stencil overrides  a style, override it
	3. If shape has pointer to stylesheet, override again.
	4. Override with the style in the shape properties.

2011-10-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d5940cf4a67589ee3ff78e5563669f42e0eb0c35]

	Recurse more if the given style did not have the particular style override


2011-10-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3950cb29d6dd0a023b7cb51e604f6425407655e9]

	Beginning of the styles refactoring

	This seems to compile, but it leaks all around the place

2011-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e919cf6e9bfe1d26cc3ba7a7bcc6958a8cfeeb21]

	Add -Weffc++ option for GCC to avoid producing crappy code :)


2011-10-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a85c49e98d4430482c25bc2be3e213ff6e96da48]

	Try to rewrite the VSDXTextStyle stuff

	In order to be able to handle the text styles correctly

2011-10-16  Tibby Lickle  <tibbylickle@gmail.com>  [ace84da47d6ce4347f1299182b29cd5b66d9ce13]

	Read in line marker information


2011-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9cec9c0a259c550079463fc87ca77db8cda71046]

	the TextBlockFormat::textBkgndColourId is one off (O means none and N means index N-1)


2011-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e277e07f88f210c88c08c298803cdaa6fa4f8ce3]

	Write out the text block properties


2011-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [29fd6b84a04af66a23034ecdbbd3493bf83bf95e]

	Parse the Text Block information


2011-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e46860698f05ae7a2d875b5748444d639d8066a1]

	Use the para properties


2011-10-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bc24a6b82bed9aae25006e9cf64c4bc8c552d29c]

	Reinitialize para properties with every shape


2011-10-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [44b3e1f3c350f1e311ef34a06bdcb8114813b37a]

	Whitespace change


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75a0cf5266e80a3b1ae249f975d7a12841960390]

	Parse Para IX and use it


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fa07b469bbf71d3d9803b6814d8ee76657d13d63]

	Refactoring the para/char styles output


2011-10-13  Tibby Lickle  <tibbylickle@gmail.com>  [6623c38c3124f719f9c66e64ef168ab4f2d5bb8d]

	Assure that charCount in para or char styles is never 0


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [65ae033f98f85bb2fad5f834c86d5cee8ba525ae]

	Clean mess


2011-10-13  Tibby Lickle  <tibbylickle@gmail.com>  [96113bfa2181029ac432e9002b886b7e5ed5bafd]

	Split character formats on para format lines


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5c8bbbfe955b845573ce766db030ab739f46d36]

	Fill the default para format


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [340d9468c3ab12af937669c15664ef7e1ebcbe38]

	Make actually compile the stuff and not crash immediately


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fa8c776c56f587799342f13c8892839769a49429]

	Initial infrastructure for Para IX handling


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7a9991d40a3cefa62489e65d909bc334a42ecd80]

	Some infrastructure for ParaFormat


2011-10-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7d1a4ee0ef087892e02c45740316dded65ee2fa4]

	Reformat a bit again


2011-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bc0a5293b9bc0b0ef57bf69da89c927aec23c03e]

	Some more text style parsing


2011-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fb99b76754a0ec34d97114ffa40b741ffb2bb16f]

	Reformating to make more readable


2011-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01deefccb6af9cdfa294f96ea3526b7f083d9daa]

	Trying to parse the TextBlock information


2011-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9567375874be2e904d6609797729202d4448a34]

	Preparing the ground for text styles


2011-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ab89a3a6e5c5ca749fda5d0da3836db0fcde582d]

	Allow optionally apply text xform


2011-10-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a23c5fcf24cca7553b9645a8d1c875af579f9883]

	Disambiguate doxygen generation


2011-10-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cf4c920c967efd8d3770836a707b6f0db5803dc7]

	Trying to improve the txtxform


2011-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [553e667162341e45d39ae86f6019a80386326c79]

	opacity is in percent


2011-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9301832973de28f4a53c8d6976de2083af556b98]

	Don't use private api extensions and get the r/g/b elements by decomposing the hex string


2011-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b64d770515204b1e595eb850ad32df82a99b8b35]

	Consistent use of right variables


2011-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [146b6b24bc7bb9992a6931ea3dc139a364cea659]

	Fix build inside a new LibreOffice


2011-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e025330f158a18a0a762fe4ff037631506c3e15]

	Fix a bug with strokes that are not to be visible


2011-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d35c8bfc650faccaf770ff28c1d17e5da2e25bf2]

	Removing unused configure option


2011-10-03  Tomas Chvatal  <tchvatal@suse.cz>  [4ee76c1ccaa37c937eb54306ee9665ea5a45ef47]

	s/usefull/useful/ english++


2011-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [59438dab012c8e4963ab40f97606cdcbc185cf96]

	Bump version (not meaning we are releasing now though)


2011-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [313f12c67d017fb991356047a35354c77a3058b9]

	Rewrite the dash-array api so that we can use it in OdgGenerator


2011-09-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca85a843c834b778d6e2bece59c7afcf6cd7ddeb]

	Remove some code duplication in handling fill and line styles


2011-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4a4e0d4b20447e75ed23f5f285c17ada0e12f82e]

	Fix warning that dereferencing type-punned pointer will break strict-aliasing rules


2011-09-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4e7d1bcb60de6a6920f6cede0c84cb32b9d9eb0a]

	Some more integer width related stuff


2011-09-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [85a0bb2e54df2a6be8bc21f6c5bb74a1898d40e4]

	Trying to make a bit order with integer types' width


2011-09-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [98cdde3823742e6e31032b7d989af21ee6416f4f]

	Fix some Windows (MSVC 2008) warnings


2011-09-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f44e0e13f5a613ca564ee77192916313e6b9acf3]

	Fix a typo in configure.ac


2011-09-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dd89db9c99753dce46d2fb65c6e2f81e905aca11]

	Fix autotools Windows build


2011-09-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2b751ec476860bf4ba0d4992cbdb77a1ac20e4b0]

	Remove one warning of unused variable


2011-09-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8f1069afd65d60704f4e81cfb905a8134c66781f]

	Some cosmetical fixes


2011-09-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [45032bb9d5287ad9b70717386c9e431974cea074]

	Trying to fix a regression with foreign stencils and making the foreign stencil code a bit more sane


2011-09-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c77add553f88ddb1b5bd1f911be2c80ae9a17f4]

	Stray ; removal


2011-09-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [797aa405f95cb8c2a9caba142af1afad12dec051]

	Bump version to 0.0.7


2011-09-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [851dee1cecbc7be8cb43b787a2d5aea11b4b533c]

	TxtXform can but must not be present, so make it easy to detect whether it is


2011-09-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [226511a59bfff28deaaf0207abdc87b6caafbd3d]

	Fix NURBS where the first knot != 0


2011-09-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a992e62d2bb449b6ef4337ad9e0780a120a563db]

	Fix character properties reading and writing


2011-09-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [efbbee2a2e07960e5cc60c3306bbb1f4fd7971cc]

	trying to write out the additional text styles


2011-09-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [515af1cc0f23b412aa930f391a2d2b57a24ec0a1]

	Read some more character properties


2011-09-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [493875a657cf9f66ef3910ea2023f60b536ffbc5]

	Actually output underline to the API


2011-09-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [50399f15d3ef01c5f2d41a8f9c01fcf36dafebad]

	Fix a typo


2011-09-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [077b8cd4d6ff90d91e1f1a99ddfd7c585424e118]

	Some more wpg -> visio comment changes


2011-09-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4a6d7beeb706ecd2262754f5c0c762cd81268cc7]

	Avoid errors with old old old MSVC


2011-09-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b4a0bc5aa8bd1f007d9a62862d545fc89354a398]

	Stuff up a bit the text support


2011-09-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [54b7fa3f3f702903cbbc4b750ea8b755ee10d3d1]

	Some support for splines


2011-09-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [87e3f2b35e84b0b7f703f5b89083f7701c8391b1]

	Signal to the collector the end of spline


2011-09-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ec04050298504fa0b4dcb25330d2c2192aa458e1]

	Reading and passing to collector the splinestart and splineknot


2011-09-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1e5ed955fdd5125f8cf55f84876a02a897bc3b0b]

	Handle stencils with reordered geometries


2011-09-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1198df2681ca86f70bbf6a9bdec32e5d989132d1]

	Fix a crash, but don't solve the problem yet


2011-09-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [76b69fbdab5a54c489270f8a69fc1ffe5fb180d0]

	Fixing Valentin's e-mail address


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cf22beead81022d2e77fa912d6850a6540e2572b]

	Stuff-up the AUTHORS file


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [441d522c463571d6c56e6c5159ae22530908dc8e]

	Libvisio does not put copyright or license headers into build files


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [743b0a0bc916b985e22198bec8ead6b36b4c30a2]

	Fix some distcheck errors


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6df2631466b297dc9db542154c31d1727bde629d]

	Don't procrastinate with licence headers anymore


2011-08-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [222dd651bed808cef498efcc7c75137d213e05fa]

	Angles should not be expressed in inches


2011-08-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eba2b9e08dafec61b2e98ea7fd04cd171bb47b5c]

	Try to detect too flat elliptical arcs and replace them by a straight line


2011-08-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6ffa59eb73bc50ddfca5609d8bd10ead3ad7cd00]

	Remove some warnings


2011-08-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b1cdfec6e5c44e0c22bd7c9ecde96b91bddd436e]

	Avoid NaN with points that cannot be on an elliptical arc


2011-08-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1901c3f828ecaecb7dc5ce6970750e24dbf65a1f]

	Draw background pages


2011-08-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [97e8a97acf55bc53291715b9d5ba65fbcd2d9bab]

	This way it will be a bit more simple :)


2011-08-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5deeab023d33047e86b139a8bb5dacc6c7cf4cc2]

	allow appending of output element lists on current page


2011-08-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [df6df2c23acdf8c54e50da16e00c2e92580ccb67]

	Some more background page related stuff


2011-08-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08fdd77aff3068dacbf9b1d826f82a402d975b97]

	Read and collect background and current page ids


2011-08-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [791bf0471379d2ce96a0c5b171603d49985f7025]

	Add copy ctor and assignment operator for VSDXOutputElementList


2011-08-26  Tomas Chvatal  <tchvatal@suse.cz>  [ae586b219b24c7d5d4f0aa88852c2c01d84b2463]

	Set silent rules properly. Fix dummy_bitmaps check.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Tibby Lickle <tibbylickle@gmail.com>

2011-08-26  Tomas Chvatal  <tchvatal@suse.cz>  [78aec920118c3d1648089aa45ec51ee3e8a62734]

	Fixup my messed up name to not contain unicode chars.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Tibby Lickle <tibbylickle@gmail.com>

2011-08-26  Tomas Chvatal  <tchvatal@suse.cz>  [f4415b26c4f41e7db16bb279e8d4f9f54acb7f01]

	configure.ac: use yes/no instead of true/false.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Tibby Lickle <tibbylickle@gmail.com>

2011-08-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d756333e6af97478559bf9aba8e49402a56f627e]

	Approximate one NURBS spline by a polyline of 200 segments

	It improves rendering performance without diminishing apparently the rendering quality

2011-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d3c96478f229296ea92e6fa0f2259f8ca82451d2]

	"Times New Roman" as default font


2011-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b079873ec39fe3a65b7375dd0f8ee0552ddf236f]

	the font size is read in inches


2011-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9020de5be3da5665856ef71b801c83826b82ff31]

	Silencing valgrind


2011-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8ae3a08742c07fed73dce929ae1aafbb87b789cc]

	Adapt alternative build systems


2011-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [adf8d40049015b67c17435840ca56728cafa5605]

	Initial VSDXPages class to handle background pages correctly


2011-08-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d4b8bb9a6f4ae98e7a196443d19d9bdd8dbe4756]

	Possible fix of invalid xml


2011-08-22  Tibby Lickle  <tibbylickle@gmail.com>  [b24c84a80e5b8d27ac269964f0a78136ca9e67d2]

	Use text styles


2011-08-22  Tibby Lickle  <tibbylickle@gmail.com>  [a6c1c599437774390336a2583e0b47e65e9efc2e]

	Change when text is output


2011-08-21  Tibby Lickle  <tibbylickle@gmail.com>  [30d7c42960a9c73ac8c642e9cee83b2c71f46ab7]

	Fix arcTo sweep in flipped groups


2011-08-21  Tibby Lickle  <tibbylickle@gmail.com>  [2c7a9ac220cf6173a309e6e79c9d818bd644e2ff]

	Fix NURBS stencil shape data problems

	Geometry count was not being collected in the expected order so counter increment is moved to ensure that when trying to match the geometry to the equivalent stencil geometry, the correct geometry is found.

2011-08-21  Tibby Lickle  <tibbylickle@gmail.com>  [05ea25fa5a5fb418414f8a104984571d03661a96]

	Fix NURBS when data is retrieved from stencil.

	Normally, we have to add a few extra things to the data that are stored in a separate chunk but because stencils have already been parsed and already had this done, there is no need to do it again in the collector.

2011-08-20  Valek Filippov  <frob@frob-laptop>  [6dbce8dfe78dae2f509e7e49c472f38acc0f927e]

	Copy/paste Tybby's fix for PolylineTo in Stencils to NURBSTo.


2011-08-20  Tibby Lickle  <tibbylickle@gmail.com>  [2a133d3546ce31e3b352f9983206a8e020cf7bda]

	SVG gradient ID problem fixed


2011-08-20  Tibby Lickle  <tibbylickle@gmail.com>  [0625ce15bd058e85b23fafbee8c527109a909fd9]

	Ignore line styles where line pattern is 0


2011-08-19  Tibby Lickle  <tibbylickle@gmail.com>  [97c3e6735017ea359eaeefcdf7341b84f4a57b81]

	Use stencil group geometry


2011-08-19  Tibby Lickle  <tibbylickle@gmail.com>  [8f29057126dde70f1fa83cbbd38255324b6d7e22]

	Fix for some reversed gradients


2011-08-19  Tibby Lickle  <tibbylickle@gmail.com>  [9dae8b3c561ab6ac3d39ab4d172c871a7b68c7dd]

	Initialise geometry count in collector


2011-08-19  Tibby Lickle  <tibbylickle@gmail.com>  [6f969c705d4b8785cf89ee8fb9f2768b96ad082a]

	Fix polylines that need data from stencil


2011-08-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [99ea202c572856004131499142f5dd56975d577d]

	Post release version bump


2011-08-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [29a09425f6155fc4c48bece71bdf122e50d11ec1]

	Fix warnings


2011-08-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1dfb78f6eabfcdb8ae8a0474c9d2d11ae6554ac3]

	update alternative build mechanisms


2011-08-18  Tibby Lickle  <tibbylickle@gmail.com>  [009a95c18a793c953d4ef8b9158592a5e199c2fe]

	Fix stencil elliptical arcs.

	Stencil draw order was being ignored because the geometry order vector wasn't copied across.

2011-08-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2dc94c8cd8ef30c18819d5194cc2210d1053f38a]

	Make valgrind happy


2011-08-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6bc73723aec5b5a6d110e2e6530b24398dd21b3d]

	Try to allocate on the heap as little as possible


2011-08-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7bee332f4338e3630b646da9c87011224064fc0e]

	Trying to diminish the count of memory leaks


2011-08-15  Tomas Chvatal  <tchvatal@suse.cz>  [e735b66e5fe6a1c46294a6cfed9d4296dc14d676]

	Final reordering of configure.ac to have the things more logically separated.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Tibby Lickle <tibbylickle@gmail.com>

2011-08-15  Tibby Lickle  <tibbylickle@gmail.com>  [cf3daff800dccaaba5c275ff9df8d60d5be7c608]

	Fix stencil shape memory leak


2011-08-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4d83257ec8d1bfc99bf424aa2db820217ef46599]

	Whitespace change


2011-08-15  Tibby Lickle  <tibbylickle@gmail.com>  [d1c463e0c2adb7c75d7d67e7eaa4cb52bbbb6af6]

	Fix stencil foreign data misplacement


2011-08-15  Tibby Lickle  <tibbylickle@gmail.com>  [0c7bace2b3590554896704c1b356f65baad1e8d7]

	Read in stencil foreign data correctly


2011-08-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c0337ccd9f0bcbfe0f32bbf556fe5026bad71c13]

	Don't output invalid utf8 (but the conversion is not right yet either)


2011-08-14  Tibby Lickle  <tibbylickle@gmail.com>  [6412496ffb899d205d63869e306e5d8f454bca18]

	Fix problems with overriding stencil geometry.

	Make sure that if we override the geometry, the stencil style still gets used with the local geometry. Stencil styles should be ignored if the correct flags are set.

2011-08-14  Tibby Lickle  <tibbylickle@gmail.com>  [96001d87c28ed2881fffc82d4ef7a02f675437e2]

	Fix infinite loop when handling level changes with stencil geometry


2011-08-14  Tibby Lickle  <tibbylickle@gmail.com>  [25162b9c4df390763f428266eb17a71bdc33f271]

	Fix segfault in some files with foreign data stencils


2011-08-13  Tibby Lickle  <tibbylickle@gmail.com>  [de8f9a15cd239bb35adac351d18f4173f791209d]

	Fix stray stencil polyline geometry


2011-08-13  Tibby Lickle  <tibbylickle@gmail.com>  [32a9250e4117708146abeb2fcf6f38e94cca9511]

	Fix missing stencil polylines


2011-08-13  Tibby Lickle  <tibbylickle@gmail.com>  [c0255d4fe26fd558f416e41911f8633c8fd6dc7b]

	Add infrastructure for text styles


2011-08-12  Tibby Lickle  <tibbylickle@gmail.com>  [b183a650d53f48d9b6910a7667a7731e4d19ab3d]

	Another EOS Exception fix


2011-08-12  Tibby Lickle  <tibbylickle@gmail.com>  [35db890df2a7047c629cdd3f76df2b86765cf13f]

	Fix problem with end of stream exceptions.

	When reading a stream of pointers (0x5*), it must be read slightly different if compressed. Whether streams are compressed or not is now detected at run time and the method of reading is altered accordingly.

2011-08-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ee37b095069ddc32daebc3087cd074071b0aa2ac]

	Fix VSDXStencil* related copy constructors and operators=


2011-08-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08081d91f835633aadc1551ed13487aaf7bac0ac]

	Avoid double free before I find why


2011-08-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3579b54dbad53cc9c54a317429d6e8325117b6a9]

	Fix crash and prefix by m_ member variable for easier reading


2011-08-12  Tomas Chvatal  <tchvatal@suse.cz>  [bdf8dc337838e5074e8b5b16d2e6d74f496da531]

	Whitespace

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>

2011-08-12  Tibby Lickle  <tibbylickle@gmail.com>  [4804f5a41a1a0a95b368dbffd82bfc01e75f1579]

	Initial stencil image implementation


2011-08-11  Valek Filippov  <frob@frob-laptop>  [633c635863cdf6fe21383721c3258c2c358b02c5]

	Add more list chunks for trailer in ver6.

	Signed-off-by: Tibby Lickle <tibbylickle@gmail.com>

2011-08-11  Tomas Chvatal  <tchvatal@suse.cz>  [822a92b8f1c0e118f8ceac9977a9377bbd1c38d9]

	There is no chance that someone will try to compile this with gcc-2 on windows.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>

2011-08-11  Tibby Lickle  <tibbylickle@gmail.com>  [a7325125bb509ed888230266aa272a272b5c7c71]

	Store stencil ShapeData for NURBS and polylines


2011-08-11  Tibby Lickle  <tibbylickle@gmail.com>  [68656bca3f319acd65bc77cc37ca432791a4dc8f]

	Add polylines and nurbs support to stencil shapes


2011-08-11  Tibby Lickle  <tibbylickle@gmail.com>  [e14566e59b7a8cb02209a13eac862d6926662aa9]

	Handle stencil shapes with multiple geometry lists


2011-08-11  Tibby Lickle  <tibbylickle@gmail.com>  [2694bd376bf5ef2196106245763759b0cf7a0e60]

	Allow overriding of stencil geometry in shapes


2011-08-11  Tibby Lickle  <tibbylickle@gmail.com>  [cf0d732e6ccd5c17d20318fd5438ef9bbb790d91]

	Use styles and stylesheets specified by stencil shapes


2011-08-10  Rene Engelhard  <rene@debian.org>  [3913285304d7be896860d15192cf851ec7991e91]

	fix Description/Summary in .pc.in/.spec.in


2011-08-10  Tibby Lickle  <tibbylickle@gmail.com>  [8884e4555c174b3b83944a45c98d542b03fe7cfb]

	Flush stencil geometry correctly


2011-08-10  Tibby Lickle  <tibbylickle@gmail.com>  [f6fbdf6bc38d2e7a96f8e30873a32f95e07971a8]

	Give line styles a default non-zero width


2011-08-10  Tibby Lickle  <tibbylickle@gmail.com>  [e7272d23fa806c2173364c9eef1989e5c4e0c661]

	Fix segfault in collector


2011-08-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5232746f631b2aa5d6bdeda233ee9c2ff58f862c]

	unbreak debug build


2011-08-10  Tibby Lickle  <tibbylickle@gmail.com>  [8856b26f1e04fefaa4c45234696225e60456ed69]

	Partial implementation of stencil shape output (segfaults)


2011-08-10  Tibby Lickle  <tibbylickle@gmail.com>  [f2744d6cfc83e3c376490f176a9c869f47998747]

	Parse stencil IDs for shapes


2011-08-10  Tomas Chvatal  <tchvatal@suse.cz>  [3eddd0cde3324130bc981332183f5cbd78155f14]

	Invert the logic for werror enable to be on by default and add missing braces.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-08-10  Tomas Chvatal  <tchvatal@suse.cz>  [84f4a628c7712a763555605c62bffafa7ed22089]

	Rename configure.in to configure.ac which is the new blessed name to use.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-08-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b283253590257e67a8bf56d70de2a8397ce1fd82]

	Fix make dist error


2011-08-10  Tomas Chvatal  <tchvatal@suse.cz>  [ecf9a75b996b2df8bd6fc3dd57078d4bf86385a2]

	Reformat the configure.in using new syntax where possible. Cleanup a bit makefile.ams. Add m4 folder to gitignore.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-08-10  Tibby Lickle  <tibbylickle@gmail.com>  [725fd0cc8181b42f0c455fa317aa0920ebfb846d]

	Read stencil data into structures


2011-08-09  Tibby Lickle  <tibbylickle@gmail.com>  [905c27ef57f941650bd5083472c540239aba7c8b]

	Added stencil members


2011-08-09  Tibby Lickle  <tibbylickle@gmail.com>  [e385a160aca634902a267efec4a325ed47ac1aee]

	Parse stencil-related streams


2011-08-08  Tibby Lickle  <tibbylickle@gmail.com>  [13da1a1784a21280cdeb42cc29f0ca4c49bdd386]

	Use fill and shadow styles.


2011-08-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3adc9e99d428b7b9b1253f93e4ead3227a99259e]

	Add VSDXStencilShape class


2011-08-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d2201c5781a5be32ea58e7aae20adb675e1ec836]

	noop copy ctor and operator= for VSDXStencil class


2011-08-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [098a0fb47076d58d1d5020b3df91fd476c926c42]

	Initial commit of the VSDXStencils class


2011-08-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aedc2ada719ba233bb5bafcc7783b9f9f487cbae]

	Add proper copy constructors and operators= to VSDXCharacterList and VSDXGeometryList


2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [332cddf001be451850284c775d5090b6a03d10cd]

	Fill in line style from stylesheet


2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [f3ba12c4e4246013ace205102d19c402d0afe9fb]

	Store style properties in structs rather than WPXPropertyLists


2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [8fec88a6a8d3d679505a14d234482f2f52341a32]

	Use line colour from style


2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [49456f375e23725297f31700ecfdb5e3908cf2c1]

	Collect line style from stylesheets


2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [75c560651ce3e1b565223c4a1ad301bc7e95052b]

	Fixed style reference order


2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [7668ddcf9711a69ae9f9f56952da5594d2b26ed9]

	Pass stylesheets to content collector.

	Style number for shapes is also parsed (although not used).

2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [1de14fdc9cd1095563e02f665f85194f1ec05502]

	Add styles at level change in collector


2011-08-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d90dc4991bde0be2d9f947f8da3730d2680262e9]

	delete unneeded member variables


2011-08-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc35132afc85ae3af9fda4abc58e9b34b5c15932]

	Parse first the indication of style masters


2011-08-05  Tibby Lickle  <tibbylickle@gmail.com>  [8f18e771fbd2e3fd62ff932d2b1399229bd82e94]

	Added stylesheet to collector


2011-08-04  Tibby Lickle  <tibbylickle@gmail.com>  [ba91194e13601550be04168cca6dec853a499d83]

	Added styles stream handler to parser


2011-08-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [503c85094b175e076da51c361e01192d3258dd2d]

	Recurse in the styles until the first override is found


2011-08-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [65ebc8abc7ce8fe765dae08fdb6a30dc62cea215]

	Adapting alternative build systems to addition of new files


2011-08-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [00749c3316cc67c158fbb3c20906d9632fa85614]

	VSDXStyles class to contain the stylesheets


2011-08-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1010193e70cf6502ec825dbc6e478b88c104a208]

	Allow cloning of VSDX{Character,Geometry}ListElements


2011-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa02ee3c52f6d3a735aa534d41285275df3a1949]

	uint8_t -> unsigned char when possible


2011-07-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7ab7e69de841a9ba9bb99efce08f51a76f34f7cb]

	Fix an infinite loop


2011-07-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b32cc7dda813e5ff60e5d7a6f1ac88420e545732]

	Fix a logical error -- and thus crashed -- in utf16 parsing


2011-07-23  Valek Filippov  <frob@gnome.org>  [d6c8ebaab06d30a4143af020b29b37a3839ecf10]

	Reorder streams to read FontFaces before pages.


2011-07-23  Valek Filippov  <frob@gnome.org>  [f15d10105756f46a140c24430044c43f4718d067]

	Initial Font family support (works in ver6 only at the moment).


2011-07-23  Valek Filippov  <frob@gnome.org>  [1542aa4d8655c7b117a401ae34ebedd7b0adbbd4]

	Extend initial text support to ver 6, add font color with semitransparency.


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d7478c0dfe0e9356c75334fecafe084c750f09eb]

	Another attempt to get fonts right


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [78ad5b15ba46d16192c99eca5cea70f0ad3a606a]

	Try to fix font sizes


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a6305cd3dfc059e6255bc7019fcea6faa380d65a]

	Bump version after release


2011-07-22  Tibby Lickle  <tibbylickle@gmail.com>  [5a84c3595392c40c103877a978391e0e23c37d67]

	Fix for missing svg text closing element


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3e86edd4ac2f2e90bf59ad1849036e6f2684984e]

	Bump version after release


2011-07-22  Tibby Lickle  <tibbylickle@gmail.com>  [05e92cd025f07f2453f0b99719457f5565f27cd4]

	Initial text format (bold, italic, size) support for v11


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [98b8adbe6fa08034dede2286521f60fd74faa013]

	fix an undefined symbol


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b1b6607c68ee612f81d5b040be97d1b856b18a70]

	Get the version 6 shadow offsets from page properties


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [35edd174e74d8debef4d0499a8476437fd4b6d0e]

	draw:shadow-color-{r,g,b} does not exist in odf specs, so using libwpg namespace


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5a59ba15594d2d2d89e8f3321f035d472588c6cb]

	Some whitespace cleanup to make git hooks happy


2011-07-22  Valek Filippov  <frob@gnome.org>  [154d4df715bfe4df72de51c9e2c8965292c82f40]

	Added support for simple colored shadows.


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e8651bc86f170a64e57d817082a2ad565e4ad01]

	draw:{start,end}-intensity has different meaning in ODF, so use libwpg:{start,end}-opacity


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a6ab9e2e3502581a4739c9cd615416f40827200a]

	Don't rely on defaults, since different applications might have different defaults


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [673bb766b1b68fad80eca9eaec78e4aff67f449e]

	Fix some warnings about shadowed variables


2011-07-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f9805811aad08a87e03f503edf2827ccf8eb1cf]

	misc build fixes


2011-07-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b177f2a4b6495fba7f57a7c77fa954defa2035db]

	Fix removal of entries inside styles and some other minor issues


2011-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e0711ad8d6ce9f23cf3174b9a030792dde960825]

	Don't require the generator knowing visio internals


2011-07-20  Valek Filippov  <frob@gnome.org>  [54f0fc838a27d6cf1076691ee53871a8b1680584]

	Add line caps/join.

	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7815c7e42594d4a1e3b09b93ba56a056ea5ae488]

	Specify that this is in percents


2011-07-20  Valek Filippov  <frob@gnome.org>  [955d4d94431d2b0f7c4f3fd98332a5c935309159]

	Clear fill:opacity for gradients.


2011-07-20  Valek Filippov  <frob@gnome.org>  [4172d7b94a81b0d30aab5e1ed0b567dd4abd5902]

	Add transparency for gradients


2011-07-20  Valek Filippov  <frob@gnome.org>  [454f3dbfcef3d67cb85e1cdd75c22262da1956f6]

	Added Fill and Line transparency


2011-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b60a3933cacc97c5aa23960eead72c10ba135a85]

	Correct overkeen inplace editing


2011-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [68fcedd055004e3c0f918fc6c51a5ddde7cbbd43]

	Don't use two xform structs since TxtXForm is XForm with flipX and flipY false


2011-07-20  Valek Filippov  <frob@gnome.org>  [0e46f4ba52aeaf1351d9e877dd5316318db43f28]

	Dummy TxtXForm parsing, initial text rotation.


2011-07-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc1ef0a1ff6bc6943b768e4dc4dcbc87dd410f03]

	Fix regression in text handling


2011-07-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8fd875c2a13250afeedb02d35e2739f9e73a833e]

	Read UTF16 in version 11 and 8-byte string in version 6


2011-07-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd612a8746e8d8293465bac9c5478e82b5e4579e]

	put text after geometries in the shape


2011-07-16  Valek Filippov  <frob@gnome.org>  [d653b23e2a631c8e13ef29f10f48e49494bc194d]

	Fix for rotated/flipped Ellipses.

	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-16  Tibby Lickle  <tibbylickle@gmail.com>  [da0a798294e47be270e43289b21c58ac9030d7b0]

	Initial text implementation


2011-07-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6390061aef528d572f95682659e6fd190f1f90b7]

	Correct wrong assumption about rotation of Ellipses


2011-07-14  Valek Filippov  <frob@gnome.org>  [4a0f07af861893a9a05fa5605caf57d1cc390ed6]

	Replace Ellipse with two EllipticalArcs to workaround combined shapes issue. Rotated Ellipse is still bad.


2011-07-13  Tibby Lickle  <tibbylickle@gmail.com>  [0d4fd5947ca67bf93ba5d6d28b1478f7aee5d8cf]

	Fix out of bounds error with knots for NURBS


2011-07-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e75804bced5d750b616caecd3d3cf36c3334001d]

	Push the geometries in right order and use shape data when needed


2011-07-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2bca2f6b6c61ca6dad9562b3b05c6816893091c0]

	Fix compilation, but still totally broken I guess


2011-07-12  Tibby Lickle  <tibbylickle@gmail.com>  [1afc8a73da783f823503383c9ede140310c40c13]

	Incomplete re-orginisation of Shape Data parsing


2011-07-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ba3295b29380a75bb70f5cdec9cf66124bbd029b]

	Infrastructure to move the shape-data logic from parser to collector


2011-07-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [28bc7f10c4a0d52ee4ab7a8ae476ca13fc7147d0]

	prefix member variables by m_ for easy reading


2011-07-12  Tibby Lickle  <tibbylickle@gmail.com>  [23dce13e51695c377139cbe5da5e3bc62a9ab4ad]

	Fixed some missing NURBS sections


2011-07-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fedd40353bb4f61701f4365e2a75d4d5ba7da560]

	Trying to make valgrind happy


2011-07-12  Valek Filippov  <frob@gnome.org>  [16dfd5447b6b830fd20820417911947ef43e2b24]

	Fixed EllipticalArcTo calculations of rx/ry.


2011-07-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f90f20aa4c1001aab6ee55e3d719ce44fa093c2f]

	Write out the polylines too since they are not messing anything anymore


2011-07-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [def0e5ede6a5dffff5366e0869ad6b684a65879b]

	approximate nurbs frankly by a polygon of 1000 points to achieve relative smoothness


2011-07-11  Valek Filippov  <frob@gnome.org>  [e2f839785a2f1ee5e2a34b0732ca19b7c65e7a8b]

	Fix parsing of 'Shape Data' for NURBS.

	Signed-off-by: Tibby Lickle <tibbylickle@gmail.com>

2011-07-11  Tibby Lickle  <tibbylickle@gmail.com>  [f46208f38bdba02372ab9890d9f3fb5dc50c7e56]

	Fix for hangs relating to NURBS/polylines


2011-07-11  Tibby Lickle  <tibbylickle@gmail.com>  [21e1cf5e7727b2979998e6786b1347ef2ad7f3f9]

	Process shape data for NURBS and polylines.

	There are still a few problems with hanging if the formula isn't specified in the chunk.

2011-07-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [51d132fa10f03bc0c98648254eb86e6c8bc598f7]

	Assure to receive geometries after the shape data in the collector


2011-07-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [15f7e05b01cbb226fe1683e0cf3c268ba69d1fc7]

	Bumping version after second alpha release


2011-07-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4d1ee85993511c4642db2e3278f269222eba6e13]

	Fix warnings


2011-07-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f43f195f63e18536fa6998a422330c9ccd4c3c2]

	partially reverting/disabling polyline stuff that messed up the Oct31 document


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [423ec413425e0c388de58681294a27d834e3eb93]

	Fix hangs if formula block is not present within NURBSTo/PolylineTo chunks


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [73cbda5638cf5010817dc5242de746f61e5311a9]

	Fixed hang for files with NURBS


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [b8671be1a82db4be5b1ed4db9518a2ad6db6fc11]

	Initial polyline support.


2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c04e8999428fd7acfd2fd0f05fc6bc6ff7129853]

	Remove some measures that were not necessary/useful to quiet valgrind


2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b045429891b34219083cfd725a488531f5c58be4]

	Now even the version 6 parser does not hang


2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c71233bf7c3fd4c30fa198eaa61d34c7e645787c]

	Make valgrind be happy


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [11b709f8a488d86e8854a2b4456954e1e631c0b4]

	Added in NURBS start point as first control point.

	Untransformed point is now cached in m_originalX and m_originalY.

2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e0755a8aa9c63479b81f6f8fbec1a367f8bbf618]

	Trying to work around imperfections of ODF: close forcefully filled path


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [74d6e3b314fbc61275cd4ad290fd712e24582f07]

	Updated v11 chunk trailer conditions


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [299f234131ef8a5e83a7cacb306778511358eb5a]

	Disable v6 NURBS to pass regression tests.

	v6 NURBS use a different chunk for the NURBS formula and the assumption that the formula was in the NURBSTo chunk was causing an infinite loop.

2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [154573f3c0b4049c37aec3ad851e845e9d26106c]

	Some more tiny little fixes for nurbsto


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [291744a86ea499f3f7bd4c7c41db66636ab25c99]

	Fixed unnecessary translation of NURB y co-ordinates


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [fb4d7dd8951e3030e6e40902e5b04e46b970afbc]

	Fix accidental block comment of NURBS reading


2011-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [504b2b884c96625e3648930a55f202a92bd9521e]

	Fix the build


2011-07-06  Tibby Lickle  <tibbylickle@gmail.com>  [e01b6d765f68c301eb802cfe7043cdf83c2a7ec6]

	Initial NURBS implementation (not complete)


2011-07-05  Valek Filippov  <frob@gnome.org>  [d4d18fd408315a3c6319e34c22eb56c71e657dd9]

	Swapped top/down and down/top linear gradients to match with Visio.


2011-07-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1842a78901970d6002b2c3cbddae0ba94384c24b]

	Rewrite gradients for easier mapping in ODF


2011-07-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5229bcfa67be3e16d966b7b78277f206f65393a6]

	Miscellaneous makefile and warnings cleanup


2011-07-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3031372cdfa7b21e65113c07db0829f5ced5a8c]

	Fix regression with geomlists containing noshow geometries


2011-07-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ac1e213bbae8b00376fae9a1e8b92c967adf7ad5]

	Do not search in map if the information is easily accessible


2011-07-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [65a1dd2fbd8296d9a29a43987330583a2c5a6071]

	Fix photos


2011-07-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6d6212b213863ec336403a90668524673280a67b]

	Trying to get the group transformations right


2011-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0ab3d931eaecf53e5534e18faf566281aebe80bb]

	Infrastructure for possibility of groups


2011-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b5e2bdfac09f3190ca7ebe1392dbcd8ef9cdb778]

	Maintain drawing order


2011-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d3887da0e4dee4a77aba96d19dd0245107f298eb]

	Revert "partially revert previous while expecting a better solution"

	This reverts commit 0ca1d5295a16679b0a5d465c1d669d099d0517e5.

2011-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0ca1d5295a16679b0a5d465c1d669d099d0517e5]

	partially revert previous while expecting a better solution


2011-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a5a26fc22cc7bc9c4bf24a9d28b66c06360c229]

	Trying to get evenodd right


2011-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d85c0386202794ef36610e56db057659a04d58a3]

	Clean up some dead code branches


2011-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d00c110680498aceda2fd85aa56b77f697d727f0]

	VSDXOutputElement -> VSDXOutputElementList


2011-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b77948578bd2d474e778d46b554d56a46e97b821]

	Draw shapes in right order


2011-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7a1712331aa8fd9821cbdc8c979271d37671ca94]

	Get the order of shapes on a page out of the first pass to the second


2011-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ffee921e9432cbefd9e379eeb05883f44dfe8221]

	use draw:fill consistently, and not svg:fill and close properly path that needs to be closed


2011-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d17a4ccea305243b3ee2a4ac94e1858c9163ebc2]

	Fix a regression with shape positionning


2011-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fdd41baf3f0090218dabe6aaf7826d165bb784ce]

	And make valgrind happilly green again


2011-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f2af7ef680d124f07fe7f61a0f9b49cf48a243d]

	Silence some warnings


2011-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca2e267a70749d8e95c31f66b38286e995426046]

	Update the LibreOffice makefile.mk, MSVC project files and fix MSVC build


2011-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [631950db5910fcf805239bf9393b0d1174eff8a0]

	Get version 6 support for ~free


2011-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [844398a67eb872ab215fd0ece146d0505565b76c]

	Reorder the geometries of the geometry list already in parser


2011-06-29  Tibby Lickle  <tibbylickle@gmail.com>  [20b1b16a14e0d8bbd06e7aec10f06898bdbee4ff]

	Radial gradient support


2011-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [32d62752456c9bee08ca2351da0c7f10c0b93051]

	Infrastructure for reordering GeomList elements while parsing


2011-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4e52b6596b0b02040ba112fa5aa7a7c9fde0b6c0]

	prototype shapes reordering (not yet there though)


2011-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b7f4192b4e13abddb3535ab9bbafaaf015043e99]

	Work in progress of shape reordering


2011-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fdf8dc8750fa0eeff48276bcb611e04489564219]

	pass the vector by const reference and not by copy


2011-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [82ca7e94660c0e651e85494765b2779e04eed42d]

	Try to be as accurate as possible when flushing geometry elements


2011-06-28  Tibby Lickle  <tibbylickle@gmail.com>  [e161ef8c9cb10740df1ae6fc1ce1af7308eaa97a]

	Read shape lists for draw order


2011-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3b3099ef55cf708e74eab012293482d3eaf37a43]

	Improvement of xform transformation


2011-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [db484112f3980132613d14b33c82e5d4c42274c4]

	Make the first pass collect the group membership information and the second to use it


2011-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [079d1e305af34f8018c0c20d619a6604b70a2906]

	Move the styles collection implementation out of the header


2011-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aed043addb9462570c1bb13b545440fb24eed1fb]

	oops, typo


2011-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cfdb6e08e438025312b7db79d4d921c38abf54f3]

	Bulk white-space changes to conform to Eilidh's coding style


2011-06-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [26f3b6b74a80ca1959d966a34299379b9c13d47a]

	Try to simplify the stream parsers too


2011-06-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [76e7c98d527ff127f0cf35ef5a74089510f35701]

	Simplify the chunk parser


2011-06-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dfb276e0119caf9f60ff9aca70d1580884390e44]

	Enable two passes (first one is still noop though)


2011-06-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2e933bff06fd02c9551d92e79593cd53acef078b]

	Remove dead code and simplify hacks a bit more


2011-06-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b22faf2b1824c60496ee672d0a7ea48f053944a1]

	Process data in the Collector classes


2011-06-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f196f1d2a6266967b26d454cdd706b57ab783e6c]

	some more separation of reading and processing


2011-06-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c9c9ff7e0d5ddf0e8fe00d9e6669d26c2399cac]

	Add helper classes that will be used to reorder shapes drawing order


2011-06-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5ac2fd7a051ae632e2ff634308276e24d399b3d0]

	Handle unknown fill as solid fill with background colour


2011-06-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3fc0814432dea8782e786a71b61bb34b4e49794]

	add collector function for unhandled chunk and collect information on level and id too


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7c8bd911cf75d6577ef9072a45e852e5998c42dd]

	Extract useful types into a separate header


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [96592088c71bf7f6a1cb8d416e58528ab8921742]

	Use the m_collector member variable


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [449a68d497d5eea31475d600726aadfc8eb4daa2]

	Collector functions for fill properties and line properties


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [690848563b954d74df955a0034637ea3aef52977]

	Starting to work on the collector classes


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6372098c98dcb6185b59c38e196130d39ffa214b]

	Whitespace cleanup to correspond to Eilidh's coding style


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e6cc9dc0a707cf6f7e557c061b99a4dead354316]

	Output styles only if we are going to draw something


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [38febc96fc6b774d600f21f31c6f206adda2406f]

	Moving things to the WPXParser class


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [397d67879a830eef73d288802322730720a097c1]

	prototype 2 passes


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9c9a4d39f83e44fcdad91b6adb900fe05cf8b08b]

	initialize member variables + return failure if unable to get chunk header


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f3a27b02865901fb518167b99626a8e579e2a41]

	A slightly different approach to the noShow flag

	Parse everything even if noShow is set, just do not paint anything

2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [30da2a25e8db5421e2d450f037e101802e266017]

	Extract reading of page properties in a separate function


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [95a9cbb258da352c5fc430aa7f6e9713310cca00]

	More error-proof seeking


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [34c6f6cad13d45ae325a74f0bec27e7f62977194]

	Use stream by pointer and not by reference in VSD6Parser too


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [10394db2fc2e43f89d2e960550a5a7efb7a2e704]

	Use stream by pointer and not by reference in VSD11Parser


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c560ae23fd177fdff4093455dd04389e3c586b1d]

	Extract reading of XForm data, Foreign Type and shape Id into separate functions


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1a5f1675b8c6dacb9d1648b37d8f55b3f57e4a71]

	extract reading of Geometry, MoveTo, LineTo and ArcTo to separate functions


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [30a60d39e2a04be5816da9e68bfc652d0a419572]

	Extract reading of fill & shadow and geom list into separate functions


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a69322590377969c34fe82032dcab40d8eedbaa8]

	Extract readEllipse and readLine to separate functions


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [593b6f80fd4d731616c32df0475a39e098ac8f5f]

	extract reading of foreign data to a separate function


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e164c10b3bad643980cb3d6eaa2728135bb78867]

	move handling of Elliptical arc to a separate function


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b2d8504d408e00ed95e7304d6a00e773b06ab89]

	Use nice defines that are self-explanatory instead of hexadecimal numbers


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4e81516ca091c7e561cd0a41cc0f100fb9fce03f]

	Add the header so that it might be distributed


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7ed253755ce6b40f7b88662723aeff2d62e52336]

	Add an empty header that will contain defines concerning the document structure


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [24ed639195836eace5c0d0e5ac40c25637f1e42c]

	Add empty VSDX*Collector classes


2011-06-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [79061587aeafefa20fc72d6773493994b0d39fce]

	OOps, typo


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a416aafbb60dbad4d5d3ef443797488acb81209]

	Silence a load of warnings


2011-06-23  Tor Lillqvist  <tml@iki.fi>  [83e04214d759b115f2f3f3af20f5e46f2a10140a]

	Fix cross-compilation inside LibreOffice build


2011-06-23  Tor Lillqvist  <tml@iki.fi>  [d09479fc275ead21a0dc13d7dca91dc914ab3aa6]

	Fix android compilation


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fce26f38d7250aa18fff46fd2d81d5728cca3530]

	Increase version after alpha release


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1178be39aa0b89ca991667a01bb4b8155c75ef14]

	And now the working version (hopefully)


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [53616ed07b4725c3bb592cf1c508eb75fe1283c0]

	Make the code actually compile too


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f4209c7ef6793b0cd76934c56333e87544b6acbb]

	Try to detect closed path segments in the whole path


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c1f8299c4a335287c599d817eb1775f41970bae]

	Join the handlers of shape and of foreign data


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [016a939b574ab927be1d4db1f6c8fad7711504a9]

	Use WPXString where possible because it is easy to insert it as string property


2011-06-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8220364dd54d1726b7750370e7c7c93c56f640b3]

	Unify Group and Shape functions


2011-06-23  Valek Filippov  <frob@gnome.org>  [77de4b3c899c738619a6b809eb08ddebefc104ec]

	Take linePattern = 0 and fillPattern == 0 into account.


2011-06-22  Tibby Lickle  <tibbylickle@gmail.com>  [949ee4c4fcb703bfebe9a8b2c383d982352ef18b]

	Support for NoLine, NoFill and NoShow flags


2011-06-22  Tibby Lickle  <tibbylickle@gmail.com>  [faf9eb15ce6bfddd10db9ba24aab1e0e2b4ca24d]

	Fix for shapes with multiple GeomLists


2011-06-22  Tibby Lickle  <tibbylickle@gmail.com>  [d6ab4dc0a17c96032a20ed05f98c5530b388429b]

	Implemented linear gradients


2011-06-22  Tibby Lickle  <tibbylickle@gmail.com>  [473b6a1979bc8ed6a8257fc7cd003ef6d14ac1da]

	Make gradient direction vector rotate around centre of shape


2011-06-22  Tibby Lickle  <tibbylickle@gmail.com>  [983d3ca62f25f1a7c34f6ae908457189c7ad5e59]

	Fix svg gradient stop element


2011-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2902d6430a906ce961996d56369811ed1811a053]

	Don't read the scale for the time being


2011-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4a8a59a82cfb5f05bf95fa2ca25021a77102d889]

	Initial line-pattern / dash-array implementation


2011-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c0b98156b86ed1a9ae1281e4427ca45913edbe9]

	Make it easier to separate the different svg elements

	This is something that will address for now Valek's request

2011-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1870bdba5b617070940e5c5d4b457d3de9dc8cea]

	Use #RRGGBB notation of colours since it is the only notation both svg and odg understand


2011-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1cc1568bfbd195590b7909758c2785fdc644dce2]

	My excuses for using tabs :)


2011-06-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [559c6b1ef4f5d8c4787c7a01ad1e28b755ae81f4]

	Fix a crash with OdgGenerator if first element of a path is 'Z'


2011-06-21  Tibby Lickle  <tibbylickle@gmail.com>  [535f1ea1af547d58a70f492207b499d53495d6d5]

	Added solid fill


2011-06-21  Tibby Lickle  <tibbylickle@gmail.com>  [295b1b7766ba6432bfb589ce6aee373f95e70551]

	Added polygon simple polygon detection


2011-06-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b590d0e6941257bf6205959dbe7a80f4d4f50080]

	Fix Ellipse shape + implement page scaling


2011-06-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0d54d1210491cceadded9baaece076f0885850d]

	oops, forgot to clear this one


2011-06-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8126aee4fc00a965c2f46318bf1f5c1f5e21802f]

	Prototype reordering of complex geometries


2011-06-19  Tibby Lickle  <tibbylickle@gmail.com>  [797080459feca44e7942e34c94f80b39e5d62d54]

	Added line colour


2011-06-19  Tibby Lickle  <tibbylickle@gmail.com>  [5d13d5e934a704f181d3eaab295a66e932ecacb9]

	Simplified seeking at the end of chunks in a shape


2011-06-19  Tibby Lickle  <tibbylickle@gmail.com>  [9fca75379d0639edff51a10937b4880f02a0b2e7]

	Store colour palette


2011-06-17  Tibby Lickle  <tibbylickle@gmail.com>  [14270a1e86d26d5b56484f740cedc4e2fda264f6]

	Fixed flip for elliptical arcs again


2011-06-17  Tibby Lickle  <tibbylickle@gmail.com>  [8a04208361e2a53dfc2631d7ec1f34ebbdde211e]

	Added calculation of elliptical arc flags large-arc and sweep


2011-06-17  Tibby Lickle  <tibbylickle@gmail.com>  [144b8aa08d47172ce65512a64a5e9738ba3cf52d]

	Handle elliptical arc flip


2011-06-17  Tibby Lickle  <tibbylickle@gmail.com>  [7dfd2ff7e16962efd8412e2a1389317f095cbde1]

	Initial elliptical arc support


2011-06-17  Tibby Lickle  <tibbylickle@gmail.com>  [58b2f9809aeb45e30254894f3a10b8717fdcdbce]

	Enhanced arcs with svg sweep and large-arc flag implementation


2011-06-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [38026df07015fe228545134338f03c55e1691084]

	Fix shapes parsing + positionning


2011-06-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e485843c6878270be21ce0981873f277af68886c]

	Some more XForm transformation


2011-06-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ed033b836b8412a0a3ca8b3b5cd5add79c8426c7]

	Prototype the group XForm transformations


2011-06-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [218e8fe89b42c13e5bae1fb05d05e8ecb71725af]

	Extend the arcto and ellipse for group shapes too


2011-06-16  Tibby Lickle  <tibbylickle@gmail.com>  [260b87195ec65080950611b05c4434272a6b3ff3]

	Added basic ArcTo support


2011-06-16  Tibby Lickle  <tibbylickle@gmail.com>  [772cf821cee017ae4895e51b9c3608f218e50885]

	Added support for ellipses


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e3d47481917cc9a96bf4eaad44b6ee612ffc6801]

	Add support for flipping of shapes


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [19a77b38b66f3c220ea09c1111a091a5676b1080]

	Support reordering of path actions according to the order in GeomList


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [956666bd1b010d3ad5668338084f719f32d1723f]

	Don't fill shapes by default


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a496869507f16c3768ee34605974f1ec3820862e]

	Some refactoring openning way to reordering of drawing commands


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa623f0893a28ae1b0514435d22541e1eaaf92ba]

	Convert polyline to path


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [549f3a5b3498a0a27a818e96cb77a1e1432df519]

	Fix transformation of y to the coordinate system where 0,0 is in UL corner This might eventually mess up the rotation


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0ccd05d0826fae9e10e01e7ed0cccbc14eed2442]

	Draw one polyline per geometry list


2011-06-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [30ce749e0e5f595cac109d1829f1b4627624f68a]

	fix parsing of group chunk


2011-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2b4938f45ed58e39bed2e0b3b5ed082f25b0429c]

	Extract some common things into a helper function


2011-06-15  Tibby Lickle  <tibbylickle@gmail.com>  [60d952222c56dc4307752a3dde92a69ae13201a3]

	Initial group parsing added


2011-06-15  Tibby Lickle  <tibbylickle@gmail.com>  [6dc09e373ace8c9490ddedfe69a520a65abad7c2]

	Added support for shape rotation


2011-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ec6715bef7b098fb3437a1b975ccb3e1269c65a5]

	Extract some more data members to the base class


2011-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a68b7a836614085fb6ed4e0c3c14042ce06d1b31]

	Fix distcheck errors


2011-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [43b68607e802ebcbee7a221a49cb35b2f4dc8d50]

	Extract some data structures to the base class


2011-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a8a2259cd5e47652791b26d4a6d11a61a61d853b]

	Stick some .gitignore files so that git status shows sensible stuff


2011-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f0811bd9515590f3d5f6b52fd4a618ec668411da]

	fix zip packaging script


2011-06-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa9ec54a8cce316f035c48c27d17116e46d04206]

	Adapt MSVC build to new situation


2011-06-14  Tibby Lickle  <tibbylickle@gmail.com>  [d9aa5505865c3b21741b7528f46b3fdf40e07f20]

	Put foreign data parsing in its own function


2011-06-14  Tibby Lickle  <tibbylickle@gmail.com>  [6b79dd11a96a4f4a744651d5c919c6edc00ad391]

	Store current page height and width as member variables


2011-06-14  Tibby Lickle  <tibbylickle@gmail.com>  [0b3d3b8debd7a0f414b8acf1eba48cc9ea3697fc]

	Put shape parsing in its own method


2011-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b1ccecc6cd19141dd16c1b564baa5f994fb9a645]

	Don't try to read more if we are at the end of the stream


2011-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [714adcdc74b60501641da2d0d3977b753bd9de3d]

	Fix an infinite loop


2011-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [54680978be73d4b0ce8cc06365b5ce88b9f6bc97]

	Append the data to the buffer even if it is a ForeignType == 4


2011-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9be1deed2ee39b6b8f295fa134d42a4f1af04241]

	avoid bug-prone seeking up and down


2011-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d8266b86f7f2d78b78fc16a614adb42e78b19218]

	Bump micro version so that I don't forget to do it when including the tarball for midterm build


2011-06-10  Tibby Lickle  <tibbylickle@gmail.com>  [82ca9ca3c2d5e44dea73336cbd2c08a136c09455]

	Made chunk header parsing separate to avoid code duplication


2011-06-10  Tibby Lickle  <tibbylickle@gmail.com>  [5b0b3eb266d8149dc08c99d1cffde62c81c755fc]

	Added more flexible chunk type handling to v11


2011-06-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fee8377736695f2b549fdb4d23d82ce21a9649a1]

	allow dumping of all binary files


2011-06-08  Tibby Lickle  <tibbylickle@gmail.com>  [3f843d97217274e8462252f8366846b5f57e23e5]

	Added v11 support for line weight


2011-06-08  Tibby Lickle  <tibbylickle@gmail.com>  [fcb69ff706b890c7f91bb62b6ae45a72d47e70fb]

	Basic line support for v11


2011-06-08  Tibby Lickle  <tibbylickle@gmail.com>  [40a462f5bb9d6c55e3f3e5b7ac7aef3c3ba9bc07]

	EMF/WMF support for v6


2011-06-08  Tibby Lickle  <tibbylickle@gmail.com>  [f8a395f462779ceab7e83d64724112c7f40c137c]

	EMF/WMF support for v11


2011-06-07  Tibby Lickle  <tibbylickle@gmail.com>  [6fbb7b91a495b4d6ad5e6649ee84be3acf676330]

	Added embedded image support to v6 parser


2011-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75d5c6db75495ddbe5684f291c91b3118bd5f909]

	Add file header to the bmp files


2011-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [341d839feb52c6f8728d6acd9a5d95f44664ca2b]

	Adding some debug code for dump of binary files


2011-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [24745f529ed01f95791eaeb0f33119c1874b50cb]

	svg namespace fixup for inline svg inside xhtml


2011-06-07  Tibby Lickle  <tibbylickle@gmail.com>  [b1f2a0f8553a7679bd0e41333b950c252b5add42]

	V11 parser support for images directly inserted on pages


2011-06-03  Tibby Lickle  <tibbylickle@gmail.com>  [3c517c7939cfbeadc63121032920341ae7003473]

	Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/contrib/libvisio


2011-06-03  Tibby Lickle  <tibbylickle@gmail.com>  [26efef36f2e97c6a1a7c5670edfdca1cf088fd09]

	Added page dimension handling to v6 parser


2011-06-03  Tibby Lickle  <tibbylickle@gmail.com>  [13392a08b519c40404db68a48151cff91a324656]

	Updated v11 chunk separator conditions


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [19029764172d8e9576173622a506f91d8c1e3a93]

	Get the embedded svg right finally


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [da6838322ea76ee511677a0cae033ed116d81fb8]

	Add one end-of-line so that the files is pretty


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [72d269cff730c60932d4d5216b8997e39d25595a]

	Add horizontal line between two pages


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [32d1c7c2adbef324f412858fd383a5e437162e7b]

	Visio pages embedded as svg objects inside an xhtml document


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [db5223d358ca45c43a17313c6ac4647eae3374ca]

	be sure that each started page is ended


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f4b53925aaf37f90f2e13f58189dc4644391232c]

	Trying to handle multipage svg


2011-06-03  Tibby Lickle  <tibbylickle@gmail.com>  [da616e86587cfca577ca3d2a95acc5331378b526]

	Added WPXPaintInterface calls for pages


2011-06-01  Tibby Lickle  <tibbylickle@gmail.com>  [183a8f3fececdf23ec7f70feb5d526b0d6081f96]

	v11 chunk end separator support added


2011-06-01  Tibby Lickle  <tibbylickle@gmail.com>  [a1a2a5ef2a70f4140b81e4b17ed538507e599ab1]

	Account for separators between fields in pageprops chunk


2011-06-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [907f96f17d4d737970fd056d422187f8c1c0c6ef]

	Simplify the uint64_t -> double stuff a bit


2011-06-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [700048c5ba01489b548b062764b4cdb387172cb4]

	Fix non-debug build


2011-06-01  Tibby Lickle  <tibbylickle@gmail.com>  [372f751ffea5413d13bbae996984f3bae7794696]

	Buggy implementation of Pages/Page stream handling


2011-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2f1ca8766b154cc9c87f7d44912ecda3468cb5b2]

	use union where reinterpret cast is not possible


2011-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2e223496b9651fd17d502fffcd6aebdf936b3565]

	Fixing a distcheck error


2011-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d226e2aa72ad870849b1683aba4fef6f9688b0b7]

	read double from the stream + some cleanup


2011-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e13b0877fa17f339e8b5ea9855c9f1c206f395a3]

	Ability to read unsigned 8-byte integer


2011-05-30  Tibby Lickle  <tibbylickle@gmail.com>  [6a237f64fac07f0068c3333f5f9351f84eacf50e]

	Split v6 and v11 parsers into separate files


2011-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [16a30552f6b4666770946bf3208980b0f9604294]

	Remove some useless debug rambling


2011-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [592bd22d2da475d3edb5f5fa50bdc1c39f326f56]

	Simplify a bit the VSDInternalSteam class constructor and try to be sure we are never reading beyond the end of the stream


2011-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [169917fc47c3b0a06e4c734ce903af440e7281e1]

	Add a sentinel value so that we actually exit


2011-05-30  Tibby Lickle  <tibbylickle@gmail.com>  [043f8525385ad2c802cca4610481ec38d6f05af4]

	Started handling of stream types in v11 parser


2011-05-30  Tibby Lickle  <tibbylickle@gmail.com>  [de630beeeb24458f002754f3283a20c583fed101]

	Brought v6 parser up to speed with v11


2011-05-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [56d5f5c7d5969672b5689597798e80027dc04d0d]

	Fix leaks


2011-05-27  Tibby Lickle  <tibbylickle@gmail.com>  [dc6941f2fead6f2356dce631e8fd10f37087235e]

	Stream pointers parsed out of trailer stream


2011-05-27  root  <root@localhost.baby>  [d4e3f27fc0f6a9b4276dcee196ff09e266e2b6d6]

	Bug fix to update decompressed stream size


2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [935ff8835865c2a92470f379750cf2a33e0fd9e5]

	Some more code simplification


2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [16b881df9a86b5e6b0ef8965fcc0518fa94a1950]

	Some more wpg->vsd changes


2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b39a61b463b3174c50a7591e1775fe504b463872]

	Add debug message in type-detection and make vsd2raw to do something


2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4471c6c59e76de2dd9b0c68a35f5b43bed2704fa]

	Fix properly memory issues

	It is WPXInputStream::getDocumentOLEStream(...) that allocates the memory.
	The data pointer is managed by the WPXInputStream internally.

2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3fcf14d07a622918bcca3d7bb03959ffeae117b4]

	Revert "Fixed double free caused by isSupported"

	This reverts commit 4fbaabab8d8e757cca659538e794482883b11183.

	Wrong memory deleted

2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c549db915ef6d60315cdb664aca20fae353ea5fd]

	./configure --enable-debug is the way to go


2011-05-26  Tibby Lickle  <tibbylickle@gmail.com>  [f70d754c954efa52ca352e0de072991e4e40d455]

	VSD 6 and 11 parsers read in and decompress trailer


2011-05-26  Tibby Lickle  <tibbylickle@gmail.com>  [4fbaabab8d8e757cca659538e794482883b11183]

	Fixed double free caused by isSupported


2011-05-26  Tibby Lickle  <tibbylickle@gmail.com>  [621bd0355f03e25358e8ce9ccc88d601b27b5b20]

	Memory management correction in VSDXParser


2011-05-26  Tibby Lickle  <tibbylickle@gmail.com>  [3e31bdd0cdc37b0b4cd12158f9d20e7952caa1f7]

	Skeleton VSDXParser with VSD6Parser and VSD11Parser


2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aee87fc17390f67f880148e0883dd7f3d72dd24a]

	extracting some useful stuff from libwpd for reading of integers


2011-05-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9dda14326356db573897bbf5e724d0f4a5e2759]

	Prototype VSDInternalStream class


2011-05-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d91f0650bf2726d3a0dcee48bc7b1fee1a0e309e]

	Fix some whitespace errors that git hooks don't like


2011-05-20  Tibby Lickle  <tibbylickle@gmail.com>  [ee0de3d025dc64a15b182839b588e87329642966]

	implementation of isSupported for Visio 2k and 2k3


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6efe3d265778c3282f99359c079448ab26de4daa]

	Fix mingw build


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2d64b80474ea80648e896bace7e54e2f1e7ec568]

	MS Visual Studio 6.0 build


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [de0bef310e7397f6bdbec0f36968cbf3f3b6ac25]

	Some header fixes


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d9754d3c9bcfef315d28d8e405302ff5972bf6b2]

	Some fixes and warning removals


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [263f7485b7a5bee5bd11203f57d3f9f479e64cb4]

	Making the library actually build and pass distcheck


2011-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b30ffe08194f5b1573ba7ce101dea356bb9fdb54]

	Initial skeleton of libvisio

